<?php
/*
 * Last modification  : 08/12/2005
 *
 * Copyright 2001-2004 Thomas Belliard, Laurent Delineau, Edouard Hue, Eric Lebrun
 *
 * This file is part of GEPI.
 *
 * GEPI is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * GEPI is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with GEPI; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

// Begin standart header
$titre_page = "Paramtres de configuration des bulletins scolaires";

// Global configuration file
require_once("../secure/connect.inc.php");
require_once("../lib/global.inc");
// Database
require_once("../lib/mysql.inc");
// Settings
require_once("../lib/settings.inc");
// Load settings
if (!loadSettings()) {
    die("Erreur chargement settings");
}
// Session related functions
require_once("../lib/session.inc");

// Resume session
$resultat_session = resumeSession();
if ($resultat_session == 'c') {
header("Location: ../utilisateurs/mon_compte.php?change_mdp=yes");
die();
} else if ($resultat_session == '0') {
    header("Location: ../logout.php?auto=1");
die();
};
include "../lib/share.inc.php";
include("../fckeditor/fckeditor.php") ;

// Check access
if (!checkAccess()) {
    header("Location: ../logout.php?auto=1");
    die();
}
$reg_ok = 'yes';
$msg = '';
$bgcolor = "#DEDEDE";

if (isset($_POST['textsize'])) {
    if (!(ereg ("^[0-9]{1,}$", $_POST['textsize'])) || $_POST['textsize'] < 1) {
        $_POST['textsize'] = 10;
    }
    if (!saveSetting("textsize", $_POST['textsize'])) {
        $msg .= "Erreur lors de l'enregistrement de textsize !";
        $reg_ok = 'no';
    }
}

if (isset($_POST['titlesize'])) {
    if (!(ereg ("^[0-9]{1,}$", $_POST['titlesize'])) || $_POST['titlesize'] < 1) {
        $_POST['titlesize'] = 16;
    }
    if (!saveSetting("titlesize", $_POST['titlesize'])) {
        $msg .= "Erreur lors de l'enregistrement de titlesize !";
        $reg_ok = 'no';
    }
}

if (isset($_POST['cellpadding'])) {
    if (!(ereg ("^[0-9]{1,}$", $_POST['cellpadding'])) || $_POST['cellpadding'] < 0) {
        $_POST['cellpadding'] = 5;
    }
    if (!saveSetting("cellpadding", $_POST['cellpadding'])) {
        $msg .= "Erreur lors de l'enregistrement de cellpadding !";
        $reg_ok = 'no';
    }
}

if (isset($_POST['cellspacing'])) {
    if (!(ereg ("^[0-9]{1,}$", $_POST['cellspacing'])) || $_POST['cellspacing'] < 0) {
        $_POST['cellspacing'] = 2;
    }
    if (!saveSetting("cellspacing", $_POST['cellspacing'])) {
        $msg .= "Erreur lors de l'enregistrement de cellspacing !";
        $reg_ok = 'no';
    }
}
if (isset($_POST['largeurtableau'])) {
    if (!(ereg ("^[0-9]{1,}$", $_POST['largeurtableau'])) || $_POST['largeurtableau'] < 1) {
        $_POST['largeurtableau'] = 1440;
    }
    if (!saveSetting("largeurtableau", $_POST['largeurtableau'])) {
        $msg .= "Erreur lors de l'enregistrement de largeurtableau !";
        $reg_ok = 'no';
    }
}
if (isset($_POST['col_matiere_largeur'])) {
    if (!(ereg ("^[0-9]{1,}$", $_POST['col_matiere_largeur'])) || $_POST['col_matiere_largeur'] < 1) {
        $_POST['col_matiere_largeur'] = 300;
    }
    if (!saveSetting("col_matiere_largeur", $_POST['col_matiere_largeur'])) {
        $msg .= "Erreur lors de l'enregistrement de col_matiere_largeur !";
        $reg_ok = 'no';
    }
}
if (isset($_POST['col_note_largeur'])) {
    if (!(ereg ("^[0-9]{1,}$", $_POST['col_note_largeur'])) || $_POST['col_note_largeur'] < 1) {
        $_POST['col_note_largeur'] = 50;
    }
    if (!saveSetting("col_note_largeur", $_POST['col_note_largeur'])) {
        $msg .= "Erreur lors de l'enregistrement de col_note_largeur !";
        $reg_ok = 'no';
    }
}
if (isset($_POST['col_boite_largeur'])) {
    if (!(ereg ("^[0-9]{1,}$", $_POST['col_boite_largeur'])) || $_POST['col_boite_largeur'] < 1) {
        $_POST['col_boite_largeur'] = 120;
    }
    if (!saveSetting("col_boite_largeur", $_POST['col_boite_largeur'])) {
        $msg .= "Erreur lors de l'enregistrement de col_boite_largeur !";
        $reg_ok = 'no';
    }
}
if (isset($_POST['col_hauteur'])) {
    if (!(ereg ("^[0-9]{1,}$", $_POST['col_hauteur'])) || $_POST['col_hauteur'] < 1) {
        $_POST['col_hauteur'] = 0;
    }
    if (!saveSetting("col_hauteur", $_POST['col_hauteur'])) {
        $msg .= "Erreur lors de l'enregistrement de col_hauteur !";
        $reg_ok = 'no';
    }
}
if (isset($_POST['bull_ecart_entete'])) {
    if (!(ereg ("^[0-9]{1,}$", $_POST['bull_ecart_entete']))) {
        $_POST['bull_ecart_entete'] = 0;
    }
    if (!saveSetting("bull_ecart_entete", $_POST['bull_ecart_entete'])) {
        $msg .= "Erreur lors de l'enregistrement de bull_ecart_entete !";
        $reg_ok = 'no';
    }
}

if (isset($_POST['bull_espace_avis'])) {
    if ((!(ereg ("^[0-9]{1,}$", $_POST['bull_espace_avis']))) or ($_POST['bull_espace_avis'] <= 0)) {
        $_POST['bull_espace_avis'] = 1;
    }
    if (!saveSetting("bull_espace_avis", $_POST['bull_espace_avis'])) {
        $msg .= "Erreur lors de l'enregistrement de bull_espace_avis !";
        $reg_ok = 'no';
    }
}


if (isset($_POST['addressblock_padding_right'])) {
    if (!(ereg ("^[0-9]{1,}$", $_POST['addressblock_padding_right']))) {
        $_POST['addressblock_padding_right'] = 0;
    }
    if (!saveSetting("addressblock_padding_right", $_POST['addressblock_padding_right'])) {
        $msg .= "Erreur lors de l'enregistrement de addressblock_padding_right !";
        $reg_ok = 'no';
    }
}

if (isset($_POST['addressblock_padding_top'])) {
    if (!(ereg ("^[0-9]{1,}$", $_POST['addressblock_padding_top']))) {
        $_POST['addressblock_padding_top'] = 0;
    }
    if (!saveSetting("addressblock_padding_top", $_POST['addressblock_padding_top'])) {
        $msg .= "Erreur lors de l'enregistrement de addressblock_padding_top !";
        $reg_ok = 'no';
    }
}

if (isset($_POST['addressblock_padding_text'])) {
    if (!(ereg ("^[0-9]{1,}$", $_POST['addressblock_padding_text']))) {
        $_POST['addressblock_padding_text'] = 0;
    }
    if (!saveSetting("addressblock_padding_text", $_POST['addressblock_padding_text'])) {
        $msg .= "Erreur lors de l'enregistrement de addressblock_padding_text !";
        $reg_ok = 'no';
    }
}

if (isset($_POST['addressblock_length'])) {
    if (!(ereg ("^[0-9]{1,}$", $_POST['addressblock_length']))) {
        $_POST['addressblock_padding_text'] = 0;
    }
    if (!saveSetting("addressblock_length", $_POST['addressblock_length'])) {
        $msg .= "Erreur lors de l'enregistrement de addressblock_length !";
        $reg_ok = 'no';
    }
}

if (isset($_POST['page_garde_padding_top'])) {
    if (!(ereg ("^[0-9]{1,}$", $_POST['page_garde_padding_top']))) {
        $_POST['page_garde_padding_top'] = 0;
    }
    if (!saveSetting("page_garde_padding_top", $_POST['page_garde_padding_top'])) {
        $msg .= "Erreur lors de l'enregistrement de page_garde_padding_top !";
        $reg_ok = 'no';
    }
}

if (isset($_POST['page_garde_padding_left'])) {
    if (!(ereg ("^[0-9]{1,}$", $_POST['page_garde_padding_left']))) {
        $_POST['page_garde_padding_left'] = 0;
    }
    if (!saveSetting("page_garde_padding_left", $_POST['page_garde_padding_left'])) {
        $msg .= "Erreur lors de l'enregistrement de page_garde_padding_left !";
        $reg_ok = 'no';
    }
}

if (isset($_POST['page_garde_padding_text'])) {
    if (!(ereg ("^[0-9]{1,}$", $_POST['page_garde_padding_text']))) {
        $_POST['page_garde_padding_text'] = 0;
    }
    if (!saveSetting("page_garde_padding_text", $_POST['page_garde_padding_text'])) {
        $msg .= "Erreur lors de l'enregistrement de page_garde_padding_text !";
        $reg_ok = 'no';
    }
}

if (isset($_POST['ok'])) {
    if (isset($_POST['page_garde_imprime'])) {
        $temp = 'yes';
    } else {
        $temp = 'no';
    }
    if (!saveSetting("page_garde_imprime", $temp)) {
        $msg .= "Erreur lors de l'enregistrement de page_garde_imprime !";
        $reg_ok = 'no';
    }
}

if (isset($_POST['page_garde_texte'])) {
    $imp = corriger_caracteres($_POST['page_garde_texte']);
    if (!saveSetting("page_garde_texte", $imp)) {
        $msg .= "Erreur lors de l'enregistrement de page_garde_texte !";
        $reg_ok = 'no';
    }
}

if (isset($_POST['bull_formule_bas'])) {
    $imp = corriger_caracteres($_POST['bull_formule_bas']);
    if (!saveSetting("bull_formule_bas", $imp)) {
        $msg .= "Erreur lors de l'enregistrement de bull_formule_bas !";
        $reg_ok = 'no';
    }
}
if (isset($_POST['bull_mention_doublant'])) {
    if (!saveSetting("bull_mention_doublant", $_POST['bull_mention_doublant'])) {
        $msg .= "Erreur lors de l'enregistrement de bull_mention_doublant !";
        $reg_ok = 'no';
    }
}
if (isset($_POST['bull_affiche_numero'])) {
    if (!saveSetting("bull_affiche_numero", $_POST['bull_affiche_numero'])) {
        $msg .= "Erreur lors de l'enregistrement de bull_affiche_numero !";
        $reg_ok = 'no';
    }
}

if (($reg_ok == 'yes') and (isset($_POST['ok']))) {
   $msg = "Enregistrement russi !";
}


// End standart header
require_once("../lib/header.inc");
if (!loadSettings()) {
    die("Erreur chargement settings");
}
?>

<script type="text/javascript">
<!-- Debut
var nb='';
function SetDefaultValues(nb)
{
if (nb=='A4V') {
    window.document.formulaire.titlesize.value = '14';
    window.document.formulaire.textsize.value = '8';
    window.document.formulaire.largeurtableau.value = '800';
    window.document.formulaire.col_matiere_largeur.value = '150';
    window.document.formulaire.col_note_largeur.value = '30';
    window.document.formulaire.col_boite_largeur.value = '120';
    window.document.formulaire.cellpadding.value = '3';
    window.document.formulaire.cellspacing.value = '1';
} else {
    window.document.formulaire.titlesize.value = '16';
    window.document.formulaire.textsize.value = '10';
    window.document.formulaire.largeurtableau.value = '1440';
    window.document.formulaire.col_matiere_largeur.value = '300';
    window.document.formulaire.col_note_largeur.value = '50';
    window.document.formulaire.col_boite_largeur.value = '150';
    window.document.formulaire.cellpadding.value = '5';
    window.document.formulaire.cellspacing.value = '2';
}
}
// fin du script -->
</script>

<p class=bold>|<a href="../accueil.php">Retour</a>|</p>

<?php
if ((($_SESSION['statut']=='professeur') AND ((getSettingValue("GepiProfImprBul")!='yes') OR ((getSettingValue("GepiProfImprBul")=='yes') AND (getSettingValue("GepiProfImprBulSettings")!='yes')))) OR (($_SESSION['statut']=='scolarite') AND (getSettingValue("GepiScolImprBulSettings")!='yes')) OR (($_SESSION['statut']=='administrateur') AND (getSettingValue("GepiAdminImprBulSettings")!='yes')))
{
    die("Droits insuffisants pour effectuer cette opration");
}
?>


<form name="formulaire" action="param_bull.php" method="post" style="width: 100%;">
<H3>Mise en page du bulletin scolaire</H3>
<? $nb_ligne = 1; ?>
<table cellpadding="8" cellspacing="0" width="100%" border="0">

    <tr <?php if ($nb_ligne % 2) echo "bgcolor=".$bgcolor;$nb_ligne++; ?>>
        <td style="font-variant: small-caps;">
        Rtablir les paramtres par dfaut :<br />
        &nbsp;&nbsp;&nbsp;<A HREF="javascript:SetDefaultValues('A4V')">Impression sur A4 "portrait"</A><br />
        &nbsp;&nbsp;&nbsp;<A HREF="javascript:SetDefaultValues('A3H')">Impression sur A3 "paysage"</A>

        </td>
        <td>
        &nbsp;
        </td>
    </tr>

    <tr <?php if ($nb_ligne % 2) echo "bgcolor=".$bgcolor;$nb_ligne++; ?>>
        <td style="font-variant: small-caps;">
        Taille en points des gros titres :
        </td>
        <td><input type="text" name="titlesize" size="20" value="<?php echo(getSettingValue("titlesize")); ?>" />
        </td>
    </tr>
    <tr <?php if ($nb_ligne % 2) echo "bgcolor=".$bgcolor;$nb_ligne++; ?>>
        <td style="font-variant: small-caps;">
        Taille en points du texte (hormis les titres) :
        </td>
        <td><input type="text" name="textsize" size="20" value="<?php echo(getSettingValue("textsize")); ?>" />
        </td>
    </tr>
    <tr <?php if ($nb_ligne % 2) echo "bgcolor=".$bgcolor;$nb_ligne++; ?>>
        <td style="font-variant: small-caps;">
        Largeur du tableau en pixels :
        </td>
        <td><input type="text" name="largeurtableau" size="20" value="<?php echo(getSettingValue("largeurtableau")); ?>" />
        </td>
    </tr>
    <tr <?php if ($nb_ligne % 2) echo "bgcolor=".$bgcolor;$nb_ligne++; ?>>
        <td style="font-variant: small-caps;">
        Largeur de la premire colonne (matires) en pixels :<br />
        <span class="small">(Si le contenu d'une cellule de la colonne est plus grand que la taille prvue, la mention ci-dessus devient caduque. La colonne sera dans ce cas dimensionne par le navigateur lui-mme.)</span>
        </td>
        <td><input type="text" name="col_matiere_largeur" size="20" value="<?php echo(getSettingValue("col_matiere_largeur")); ?>" />
        </td>
    </tr>
    <tr <?php if ($nb_ligne % 2) echo "bgcolor=".$bgcolor;$nb_ligne++; ?>>
        <td style="font-variant: small-caps;">
        Largeur des colonnes min, max, classe et lve en pixels :<br />
        <span class="small">(Mme remarque que ci-dessus)</span>
        </td>
        <td><input type="text" name="col_note_largeur" size="20" value="<?php echo(getSettingValue("col_note_largeur")); ?>" />
        </td>
    </tr>
    </tr>
    <tr <?php if ($nb_ligne % 2) echo "bgcolor=".$bgcolor;$nb_ligne++; ?>>
        <td style="font-variant: small-caps;">
        Largeur des cellules contenant les notes des carnets de notes  afficher sur les bulletins :<br />
        <span class="small">(Mme remarque que ci-dessus)</span>
        </td>
        <td><input type="text" name="col_boite_largeur" size="20" value="<?php echo(getSettingValue("col_boite_largeur")); ?>" />
        </td>
    </tr>
    </tr>
    <tr <?php if ($nb_ligne % 2) echo "bgcolor=".$bgcolor;$nb_ligne++; ?>>
        <td style="font-variant: small-caps;">
        Hauteur minimale des lignes en pixels ("0" si automatique) :<br />
        <span class="small">(Si le contenu d'une cellule est telle que la hauteur fixe ci-dessus est insuffisante, la hauteur de la ligne sera dimensionne par le navigateur lui-mme.)</span>
        </td>
        <td><input type="text" name="col_hauteur" size="20" value="<?php echo(getSettingValue("col_hauteur")); ?>" />
        </td>
    </tr>
    <tr <?php if ($nb_ligne % 2) echo "bgcolor=".$bgcolor;$nb_ligne++; ?>>
        <td style="font-variant: small-caps;">
        Espace en pixels entre le bord d'une cellule du tableau et le contenu de la cellule :
        </td>
        <td><input type="text" name="cellpadding" size="20" value="<?php echo(getSettingValue("cellpadding")); ?>" />
        </td>
    </tr>
    <tr <?php if ($nb_ligne % 2) echo "bgcolor=".$bgcolor;$nb_ligne++; ?>>
        <td style="font-variant: small-caps;">
        Espace en pixels entre les cellules du tableau :
        </td>
        <td><input type="text" name="cellspacing" size="20" value="<?php echo(getSettingValue("cellspacing")); ?>" />
        </td>
    </tr>
    <tr <?php if ($nb_ligne % 2) echo "bgcolor=".$bgcolor;$nb_ligne++; ?>>
        <td style="font-variant: small-caps;">
        Espace (nombre de lignes vides) entre l'en-tte du bulletin et le tableau des notes et apprciations :
        </td>
        <td><input type="text" name="bull_ecart_entete" size="20" value="<?php echo(getSettingValue("bull_ecart_entete")); ?>" />
        </td>
    </tr>
    <tr <?php if ($nb_ligne % 2) echo "bgcolor=".$bgcolor;$nb_ligne++; ?>>
        <td style="font-variant: small-caps;">
        Espace (nombre de lignes vides) pour une saisie  la main de l'avis du Conseil de classe, si celui-ci n'a pas t saisi dans GEPI :
        </td>
        <td><input type="text" name="bull_espace_avis" size="20" value="<?php echo(getSettingValue("bull_espace_avis")); ?>" />
        </td>
    </tr>
</table>

<hr />
<?php
//Informations devant figurer sur le bulletin scolaire</H3>
?>
<H3>Informations devant figurer sur le bulletin scolaire</H3>
<table cellpadding="8" cellspacing="0" width="100%" border="0">
    <tr <?php if ($nb_ligne % 2) echo "bgcolor=".$bgcolor;$nb_ligne++; ?>>
        <td style="font-variant: small-caps;">
        Afficher la mention "doublant" ou "doublante", le cas chant :
        </td>
        <td>
        <?php
        echo "<input type=\"radio\" name=\"bull_mention_doublant\" value=\"yes\" ";
        if (getSettingValue("bull_mention_doublant") == 'yes') echo " checked";
        echo " />&nbsp;Oui";
        echo "<input type=\"radio\" name=\"bull_mention_doublant\" value=\"no\" ";
        if (getSettingValue("bull_mention_doublant") == 'no') echo " checked";
        echo " />&nbsp;Non";

        ?>
        </td>
    </tr>
    <tr <?php if ($nb_ligne % 2) echo "bgcolor=".$bgcolor;$nb_ligne++; ?>>
        <td style="font-variant: small-caps;">
        Afficher le numro du bulletin :
        </td>
        <td>
        <?php
        echo "<input type=\"radio\" name=\"bull_affiche_numero\" value=\"yes\" ";
        if (getSettingValue("bull_affiche_numero") == 'yes') echo " checked";
        echo " />&nbsp;Oui";
        echo "<input type=\"radio\" name=\"bull_affiche_numero\" value=\"no\" ";
        if (getSettingValue("bull_affiche_numero") == 'no') echo " checked";
        echo " />&nbsp;Non";

        ?>
        </td>
    </tr>

    <tr <?php if ($nb_ligne % 2) echo "bgcolor=".$bgcolor;$nb_ligne++; ?>>
        <td style="font-variant: small-caps;" colspan="2">
        Formule figurant en bas de chaque bulletin :
        <input type="text" name="bull_formule_bas" size="100" value="<?php echo(getSettingValue("bull_formule_bas")); ?>" />
        </td>
    </tr>

</table>


<H3>Bloc adresse</H3>
<center><table border="1" cellpadding="10" width="90%"><tr><td>
Ces options contrlent le positionnement du bloc adresse du responsable de l'lve directement sur le bulletin (et non sur la page de garde - voir ci-dessous). L'affichage de ce bloc est contrl classe par classe, au niveau du paramtrage de la classe.
</td></tr></table></center>
<table cellpadding="8" cellspacing="0" width="100%" border="0">

    <tr <?php if ($nb_ligne % 2) echo "bgcolor=".$bgcolor; ?>>
        <td style="font-variant: small-caps;">
        Espace en cm entre la marge droite de la feuille et le bloc "adresse" :
        </td>
        <td><input type="text" name="addressblock_padding_right" size="20" value="<?php echo(getSettingValue("addressblock_padding_right")); ?>" />
        </td>
     </tr>
    <tr <?php if ($nb_ligne % 2) echo "bgcolor=".$bgcolor;$nb_ligne++; ?>>
        <td colspan="2"><i>Tenez compte de la marge droite d'impression pour calculer l'espace entre le bord droit de la feuille et le bloc adresse</i></td>
     </tr>
    <tr <?php if ($nb_ligne % 2) echo "bgcolor=".$bgcolor;?>>
        <td style="font-variant: small-caps;">
        Espace en cm entre la marge haute de la feuille et le bloc "adresse" :
        </td>
        <td><input type="text" name="addressblock_padding_top" size="20" value="<?php echo(getSettingValue("addressblock_padding_top")); ?>" />
        </td>
    </tr>
    <tr <?php if ($nb_ligne % 2) echo "bgcolor=".$bgcolor;$nb_ligne++; ?>>
        <td colspan="2"><i>Tenez compte de la marge haute d'impression pour calculer l'espace entre le bord haut de la feuille et le bloc adresse</i></td>
    </tr>
    <tr <?php if ($nb_ligne % 2) echo "bgcolor=".$bgcolor;$nb_ligne++; ?>>
        <td style="font-variant: small-caps;">
        Espace en cm entre le bloc "adresse" et le bloc des rsultats :
        </td>
        <td><input type="text" name="addressblock_padding_text" size="20" value="<?php echo(getSettingValue("addressblock_padding_text")); ?>" />
        </td>
    </tr>
    </tr>
    <tr <?php if ($nb_ligne % 2) echo "bgcolor=".$bgcolor;$nb_ligne++; ?>>
        <td style="font-variant: small-caps;">
        Longueur en cm du bloc "adresse" :
        </td>
        <td><input type="text" name="addressblock_length" size="20" value="<?php echo(getSettingValue("addressblock_length")); ?>" />
        </td>
    </tr>
</table>




<hr />
<H3>Page de garde</H3>
<center><table border="1" cellpadding="10" width="90%"><tr><td>
La page de garde contient les informations suivantes :
<ul>
<li>l'adresse o envoyer le bulletin. Si vous utilisez des enveloppes  fentre, vous pouvez rgler les paramtres ci-dessous pour qu'elle apparaisse dans le cadre prvu  cet effet,</li>
<li>un texte que vous pouvez personnaliser (voir plus bas).</li>
</ul>
<b><a href='javascript:centrerpopup("./modele_page_garde.php",600,600,"scrollbars=yes,statusbar=yes,menubar=yes,resizable=yes")'>Aperu de la page de garde</a></b>
(Attention : la mise en page des bulletins est trs diffrente  l'cran et  l'impression.
Veillez  utiliser la fonction "aperu avant impression" afin de vous rendre compte du rsultat.
</td></tr></table></center>
<table cellpadding="8" cellspacing="0" width="100%" border="0">
    <tr <?php if ($nb_ligne % 2) echo "bgcolor=".$bgcolor;$nb_ligne++; ?>>
        <td style="font-variant: small-caps;">Imprimer les pages de garde : </td>
        <td><input type="checkbox" name="page_garde_imprime" value="yes" <?php if (getSettingValue("page_garde_imprime")=='yes') echo "checked"; ?>/>
        </td>
    </tr>
    <tr <?php if ($nb_ligne % 2) echo "bgcolor=".$bgcolor;?>>
        <td style="font-variant: small-caps;">
        Espace en cm entre la marge gauche de la feuille et le bloc "adresse" :
        </td>
        <td><input type="text" name="page_garde_padding_left" size="20" value="<?php echo(getSettingValue("page_garde_padding_left")); ?>" />
        </td>
     </tr>
    <tr <?php if ($nb_ligne % 2) echo "bgcolor=".$bgcolor;$nb_ligne++; ?>>
        <td colspan="2"><i>Tenez compte de la marge gauche d'impression pour calculer l'espace entre le bord droit de la feuille et le bloc adresse</i></td>
     </tr>
    <tr <?php if ($nb_ligne % 2) echo "bgcolor=".$bgcolor;?>>
        <td style="font-variant: small-caps;">
        Espace en cm entre la marge haute de la feuille et le bloc "adresse" :
        </td>
        <td><input type="text" name="page_garde_padding_top" size="20" value="<?php echo(getSettingValue("page_garde_padding_top")); ?>" />
        </td>
    </tr>
    <tr <?php if ($nb_ligne % 2) echo "bgcolor=".$bgcolor;$nb_ligne++; ?>>
        <td colspan="2"><i>Tenez compte de la marge haute d'impression pour calculer l'espace entre le bord haut de la feuille et le bloc adresse</i></td>
    </tr>
    <tr <?php if ($nb_ligne % 2) echo "bgcolor=".$bgcolor;$nb_ligne++; ?>>
        <td style="font-variant: small-caps;">
        Espace en cm entre le bloc "adresse" et le bloc "texte" :
        </td>
        <td><input type="text" name="page_garde_padding_text" size="20" value="<?php echo(getSettingValue("page_garde_padding_text")); ?>" />
        </td>
    </tr>

    <tr <?php if ($nb_ligne % 2) echo "bgcolor=".$bgcolor;$nb_ligne++; ?>>
    <?php
    $impression = getSettingValue("page_garde_texte");
    echo "<td valign=\"top\"  style=\"font-variant: small-caps;\">Texte de la page de garde apparaissant  la suite de l'adresse : </td>";
    echo "<td><div class='small'>";
    echo "<i>Mise en forme du message :</i>";

    $oFCKeditor = new FCKeditor('page_garde_texte') ;
    $oFCKeditor->BasePath = '../fckeditor/' ;
    $oFCKeditor->Config['DefaultLanguage']  = 'fr' ;
    $oFCKeditor->ToolbarSet = 'Basic' ;
    $oFCKeditor->Value      = $impression ;
    $oFCKeditor->Create() ;

    echo "</div></td></tr>";
?>

</table>


<hr /><center><input type="submit" name="ok" value="Enregistrer" style="font-variant: small-caps;"/></center>
</form>
</body>
</html>