<?php
/*
 * Last modification  : 14/03/2005
 *
 * Copyright 2001-2004 Thomas Belliard, Laurent Delineau, Edouard Hue, Eric Lebrun
 *
 * This file is part of GEPI.
 *
 * GEPI is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * GEPI is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with GEPI; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

// Global configuration file
require_once("../secure/connect.inc.php");
require_once("../lib/global.inc");
// Database
require_once("../lib/mysql.inc");
// Settings
require_once("../lib/settings.inc");
// Load settings
if (!loadSettings()) {
    die("Erreur chargement settings");
}
// Session related functions
require_once("../lib/session.inc");

// Resume session
$resultat_session = resumeSession();
if ($resultat_session == 'c') {
header("Location: ../utilisateurs/mon_compte.php?change_mdp=yes");
die();
} else if ($resultat_session == '0') {
    header("Location: ../logout.php?auto=1");
die();
};

include "../lib/share.inc.php";
if (!checkAccess()) {
    header("Location: ../logout.php?auto=1");
die();
}
if (isset($_POST['ok'])) {
   $pb_reg_ver = 'no';
   $calldata = sql_query("SELECT DISTINCT c.id, c.classe FROM classes c, periodes p WHERE p.id_classe = c.id  ORDER BY classe");
   if ($calldata) for ($k = 0; ($row = sql_row($calldata, $k)); $k++) {
      $id_classe = $row[0];
      $periode_query = sql_query("SELECT verouiller FROM periodes WHERE id_classe = '$id_classe' ORDER BY num_periode");
      $nb_periode = sql_count($periode_query) + 1 ;
      if ($periode_query) for ($i = 0; ($row_per = sql_row($periode_query, $i)); $i++) {
         $nom_classe = "cl_".$id_classe."_".$i;
         $t = $i+1;
         if (isset($_POST[$nom_classe]))  {
            $register = sql_query("UPDATE periodes SET verouiller='".$_POST[$nom_classe]."' WHERE (num_periode='".$t."' and id_classe='".$id_classe."')");
            if (!$register) {$pb_reg_ver = 'yes';}
         }
      }
   }
   if ($pb_reg_ver == 'no') {
      $msg = "Les modifications ont t enregistres.";
   } else {
      $msg = "Il y a eu un problme lors de l'enregistrement des donnes.";
   }
}


//**************** EN-TETE **************************************
$titre_page = "Verrouillage et dverrouillage des priodes";
require_once("../lib/header.inc");
//**************** FIN EN-TETE **********************************
?>
<script language=javascript>
function CocheCase(rang,per) {
 nbelements = document.formulaire.elements.length;
 for (i=0;i<nbelements;i++) {
   if (document.formulaire.elements[i].type =='hidden') {
     if (document.formulaire.elements[i].value ==per) {
       document.formulaire.elements[i+1].checked = false ;
       document.formulaire.elements[i+2].checked = false ;
       document.formulaire.elements[i+3].checked = false ;
       document.formulaire.elements[i+rang].checked = true ;
      }
   }
 }
}
</script>
<p class=bold>
|<a href="../accueil.php">Retour</a> |
</p>

<?php
$texte_deverrouiller = urlencode("Dverrouiller");
$texte_verrouiller_part = urlencode("Verrouiller part.");
$texte_verrouiller_tot = urlencode("Verrouiller tot.");


// On va chercher les classes dj existantes, et on les affiche.

$max_per = sql_query1("SELECT num_periode FROM periodes ORDER BY num_periode DESC LIMIT 1");
   $calldata = sql_query("SELECT DISTINCT c.id, c.classe FROM classes c, periodes p WHERE p.id_classe = c.id  ORDER BY classe");
   $nombreligne = sql_count($calldata);
   echo "Total : $nombreligne classes";
   echo "<ul>
   <li>Lorsqu'une priode est <b>dverrouille</b>, le remplissage de toutes les rubriques (notes, apprciations, avis) est autoris, la visualisation des
   bulletins simples est autorise mais la visualisation et l'impression des bulletins officiels sont impossibles.<br /><br /></li>
   <li>Lorsqu'une priode est <b>verrouille partiellement</b>, seuls le remplissage et/ou la modification
   de l'avis du conseil de classe sont possibles. La visualisation et l'impression des bulletins officiels sont autorises.<br /><br /></li>
   <li>Lorsqu'une priode est <b>verrouille totalement</b>, le remplissage et la modification du bulletin pour la priode concerne
   sont impossibles. la visualisation et l'impression sont autorises.</li>


   ";
   echo "<br /><br />";


   if ($nombreligne != 0) {
      echo "<form action=\"verrouillage.php\" name=\"formulaire\" method=\"post\">";

      echo "<table cellpadding=3 cellspacing=0 border=1>";
      echo "<tr class='fond_sombre'><td></td>";
      for ($i = 0; $i < $max_per; $i++) echo "<td>
        <a href=\"javascript:CocheCase(1,".$i.")\">Tout dverrouiller</a><br />
        <a href=\"javascript:CocheCase(2,".$i.")\">Tout verrouiller partiellement</a><br>
        <a href=\"javascript:CocheCase(3,".$i.")\">Tout verrouiller  totalement</a>
        </td>
        <td><IMG SRC=\"../lib/create_im_mat.php?texte=".$texte_deverrouiller."&width=22\" WIDTH=\"22\" BORDER=0 alt=\"Dverrouiller\"></td>
        <td><IMG SRC=\"../lib/create_im_mat.php?texte=".$texte_verrouiller_part."&width=22\" WIDTH=\"22\" BORDER=0 alt=\"Verrouiller partiellement\"></td>
        <td><IMG SRC=\"../lib/create_im_mat.php?texte=".$texte_verrouiller_tot."&width=22\" WIDTH=\"22\" BORDER=0 alt=\"Verrouiller totalement\"></td>";
      echo "</tr>";
      $flag = 0;
      if ($calldata) for ($k = 0; ($row = sql_row($calldata, $k)); $k++) {
          $id_classe = $row[0];
          $classe = $row[1];
          echo "<tr";
          if ($flag==1) { echo " class='fond_sombre'"; $flag = 0;} else {$flag=1;};
          echo "><td><b>$classe</b> ";
          echo "</td>";

          $periode_query = sql_query("SELECT nom_periode, verouiller FROM periodes WHERE id_classe = '$id_classe' ORDER BY num_periode");
          $nb_periode = sql_count($periode_query) + 1 ;
          $j = 0;
          if ($periode_query) for ($i = 0; ($row_per = sql_row($periode_query, $i)); $i++) {
             $nom_classe = "cl_".$id_classe."_".$i;
             echo "<td>".ucfirst($row_per[0])."</td>";
             echo "<input type=\"hidden\" name=\"numperiode\" value=\"$i\" />";
             echo "<td><input type=\"radio\" name=\"".$nom_classe."\" value=\"N\" ";
             if ($row_per[1] == "N") echo "checked";
             echo " /></td>";
             echo "<td><input type=\"radio\" name=\"".$nom_classe."\" value=\"P\" ";
             if ($row_per[1] == "P") echo "checked";
             echo " /></td>";
             echo "<td><input type=\"radio\" name=\"".$nom_classe."\" value=\"O\" ";
             if ($row_per[1] == "O") echo "checked";
             echo " /></td>";
             $j++;
          }
          for ($i = $j; $i < $max_per; $i++) echo "<td>&nbsp;</td><td>&nbsp;</td><td>&nbsp;</td><td>&nbsp;</td>";

          echo "</tr>";
      }
      echo "</table>";
      echo "<center><input type=\"submit\" name=\"ok\" value=\"Enregistrer\" /></center>";
      echo "</form>";
   } else {
      echo "<p class='grand'>Attention : aucune classe n'a t dfinie dans la base GEPI !</p>";
   }


?>
</body>
</html>