<?php
/*
 * Last modification  : 25/05/2005
 *
 * Copyright 2001, 2005 Thomas Belliard, Laurent Delineau, Edouard Hue, Eric Lebrun
 *
 * This file is part of GEPI.
 *
 * GEPI is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * GEPI is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with GEPI; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

// Global configuration file
require_once("../secure/connect.inc.php");
require_once("../lib/global.inc");
// Database
require_once("../lib/mysql.inc");
// Settings
require_once("../lib/settings.inc");
// Load settings
if (!loadSettings()) {
    die("Erreur chargement settings");
}
// Session related functions
require_once("../lib/session.inc");

// Resume session
$resultat_session = resumeSession();
if ($resultat_session == 'c') {
    header("Location: ../utilisateurs/mon_compte.php?change_mdp=yes");
    die();
} else if ($resultat_session == '0') {
    header("Location: ../logout.php?auto=1");
    die();
};

include "../lib/share.inc.php";
unset($id_classe);
$id_classe = isset($_POST["id_classe"]) ? $_POST["id_classe"] : (isset($_GET["id_classe"]) ? $_GET["id_classe"] : NULL);
include "../lib/periodes.inc.php";
if (!checkAccess()) {
    header("Location: ../logout.php?auto=1");
    die();
}

//On vrifie si le module est activ
if (getSettingValue("active_carnets_notes")!='y') {
    die("Le module n'est pas activ.");
}

// On teste si le carnet de notes appartient bien  la personne connecte
if ((isset($_POST['id_racine'])) or (isset($_GET['id_racine']))) {
    $id_racine = isset($_POST['id_racine']) ? $_POST['id_racine'] : (isset($_GET['id_racine']) ? $_GET['id_racine'] : NULL);
    if (!(Verif_prof_cahier_notes ($_SESSION['login'],$id_racine))) {
        $mess=rawurlencode("Vous tentez de pntrer dans un carnet de notes qui ne vous appartient pas !");
        header("Location: index.php?msg=$mess");
        die();
    }
}

//**************** EN-TETE *****************
$titre_page = "Carnet de notes";
require_once("../lib/header.inc");
//**************** FIN EN-TETE *************

//-----------------------------------------------------------------------------------
if (isset($_GET['saisie_matiere']) and isset($_GET['id_classe']) and isset($_GET['periode_num'])) {
    $saisie_matiere = $_GET['saisie_matiere'];
    $id_classe = $_GET['id_classe'];
    $periode_num = $_GET['periode_num'];
    $login_prof = $_SESSION['login'];
    $appel_cahier_notes = mysql_query("SELECT id_cahier_notes FROM cn_cahier_notes WHERE (matiere='$saisie_matiere' and id_classe='$id_classe' and periode='$periode_num')");
    $nb_cahier_note = mysql_num_rows($appel_cahier_notes);
    if ($nb_cahier_note == 0) {
        $req_mat = mysql_query("SELECT nom_complet, matiere FROM matieres where matiere='$saisie_matiere'");
        $nom_complet_matiere = mysql_result($req_mat, 0, 'nom_complet');
        $nom_court_matiere = mysql_result($req_mat, 0, 'matiere');
        $reg = mysql_query("INSERT INTO cn_conteneurs SET id_racine='', nom_court='".AddSlashes($saisie_matiere)."', nom_complet='". AddSlashes($nom_complet_matiere)."', description = '', mode = '2', coef = '1.0', arrondir = 's1', ponderation = '0.0', display_parents = '0', display_bulletin = '1', parent = '0'");
        if ($reg) {
            $id_racine = mysql_insert_id();
            $reg = mysql_query("UPDATE cn_conteneurs SET id_racine='$id_racine', parent = '0' WHERE id='$id_racine'");
            $reg = mysql_query("INSERT INTO cn_cahier_notes SET matiere = '".AddSlashes($saisie_matiere)."', id_classe = '$id_classe', periode = '$periode_num', id_cahier_notes='$id_racine'");
        }
    } else {
        $id_racine = mysql_result($appel_cahier_notes, 0, 'id_cahier_notes');
    }
}

// Recopie de la structure de la periode prcdente
if (isset($_GET['creer_structure']))  {
  function recopie_arbo($id_racine, $id_prec,$id_new) {
    global $vide;
    $query_cont = mysql_query("SELECT * FROM cn_conteneurs
    WHERE (
        id != id_racine and
        parent = '".$id_prec."'
        )");
    $nb_lignes = mysql_num_rows($query_cont);
    $i = 0;
    while ($i < $nb_lignes) {
        $id_prec = mysql_result($query_cont,$i,'id');
        $val2 = mysql_result($query_cont,$i,'id_racine');
        $val3 = mysql_result($query_cont,$i,'nom_court');
        $val4 = mysql_result($query_cont,$i,'nom_complet');
        $val5 = mysql_result($query_cont,$i,'description');
        $val6 = mysql_result($query_cont,$i,'mode');
        $val7 = mysql_result($query_cont,$i,'coef');
        $val8 = mysql_result($query_cont,$i,'arrondir');
        $val9 = mysql_result($query_cont,$i,'ponderation');
        $val10 = mysql_result($query_cont,$i,'display_parents');
        $val11 = mysql_result($query_cont,$i,'display_bulletin');
        $val12 = mysql_result($query_cont,$i,'parent');
        $query_insert = mysql_query("INSERT INTO cn_conteneurs
        set id_racine = '".$id_racine."',
        nom_court = '".$val3."',
        nom_complet = '".$val4."',
        description = '".$val5."',
        mode = '".$val6."',
        coef = '".$val7."',
        arrondir = '".$val8."',
        ponderation = '".$val9."',
        display_parents = '".$val10."',
        display_bulletin = '".$val11."',
        parent = '".$id_new."' ");
        $vide = 'no';
        $id_new1 = mysql_insert_id();
        recopie_arbo($id_racine, $id_prec, $id_new1);
        $i++;
    }

  }

    $saisie_matiere = $_GET['saisie_matiere'];
    $id_classe = $_GET['id_classe'];
    $periode_num = $_GET['periode_num'];
    $id_cahier_prec = sql_query1("SELECT id_cahier_notes FROM cn_cahier_notes
    WHERE (
        matiere = '".$saisie_matiere."' and
        id_classe = '".$id_classe."' and
        periode = '".($periode_num-1)."'
        )
    ");
    $vide = 'yes';
    recopie_arbo($id_racine,$id_cahier_prec,$id_racine);
    if ($vide == 'yes') echo "<p><center><b><font color='red'>Structure vide : aucune bote n'a t cre dans le carnet de notes de la priode prcdente.</font></b></center></p><hr>";
}

if  (isset($id_racine) and ($id_racine!='')) {
    $appel_conteneurs = mysql_query("SELECT * FROM cn_conteneurs WHERE id ='$id_racine'");
    $nom_court = mysql_result($appel_conteneurs, 0, 'nom_court');

    $appel_cahier_notes = mysql_query("SELECT * FROM cn_cahier_notes WHERE id_cahier_notes = '$id_racine'");
    $saisie_matiere = mysql_result($appel_cahier_notes, 0, 'matiere');
    $id_classe = mysql_result($appel_cahier_notes, 0, 'id_classe');
    $periode_num = mysql_result($appel_cahier_notes, 0, 'periode');
    include "../lib/periodes.inc.php";

    $appel_nom_matiere = mysql_query("SELECT nom_complet, matiere FROM matieres WHERE matiere='$saisie_matiere'");
    $matiere_nom = mysql_result($appel_nom_matiere, 0, "nom_complet");
    $matiere_nom_court = mysql_result($appel_nom_matiere, 0, "matiere");

    $appel_nom_classe = mysql_query("SELECT classe FROM classes WHERE id='$id_classe'");
    $nom_classe = mysql_result($appel_nom_classe, 0, "classe");

    //
    // Supression d'une valuation
    //
    if ((isset($_GET['del_dev'])) and ($_GET['js_confirmed'] ==1)) {
        $temp = $_GET['del_dev'];

        $sql= mysql_query("SELECT id_conteneur FROM cn_devoirs WHERE id='$temp'");
        $id_cont = mysql_result($sql, 0, 'id_conteneur');
        $sql = mysql_query("DELETE FROM cn_notes_devoirs WHERE id_devoir='$temp'");
        $sql = mysql_query("DELETE FROM cn_devoirs WHERE id='$temp'");

        // On teste si le conteneur est vide
        $sql= mysql_query("SELECT id FROM cn_devoirs WHERE id_conteneur='$id_cont'");
        $nb_dev = mysql_num_rows($sql);
        $sql= mysql_query("SELECT id FROM cn_conteneurs WHERE parent='$id_cont'");
        $nb_cont = mysql_num_rows($sql);
        if (($nb_dev == 0) or ($nb_cont == 0)) {
            $sql = mysql_query("DELETE FROM cn_notes_conteneurs WHERE id_conteneur='$id_cont'");
        }

        // On teste si le carnet de notes est vide
        $sql= mysql_query("SELECT id FROM cn_devoirs WHERE id_conteneur='$id_racine'");
        $nb_dev = mysql_num_rows($sql);
        $sql= mysql_query("SELECT id FROM cn_conteneurs WHERE parent='$id_racine'");
        $nb_cont = mysql_num_rows($sql);
        if (($nb_dev == 0) and ($nb_cont == 0)) {
            $sql = mysql_query("DELETE FROM cn_notes_conteneurs WHERE id_conteneur='$id_racine'");
        } else {
            $arret = 'no';
            mise_a_jour_moyennes_conteneurs($id_classe, $periode_num,$id_racine,$id_racine,$arret);
        }
    }
    //
    // Supression d'un conteneur
    //
    if ((isset($_GET['del_cont'])) and ($_GET['js_confirmed'] ==1)) {
        $temp = $_GET['del_cont'];
        $sql= mysql_query("SELECT id FROM cn_devoirs WHERE id_conteneur='$temp'");
        $nb_dev = mysql_num_rows($sql);
        $sql= mysql_query("SELECT id FROM cn_conteneurs WHERE parent='$temp'");
        $nb_cont = mysql_num_rows($sql);
        if (($nb_dev != 0) or ($nb_cont != 0)) {
            echo "<script type=\"text/javascript\" language=\"javascript\">";
            echo 'alert("Impossible de supprimer une bote qui n\'est pas vide !");';
            echo "</script>";
        } else {
            $sql = mysql_query("DELETE FROM cn_conteneurs WHERE id='$temp'");
            $sql = mysql_query("DELETE FROM cn_notes_conteneurs WHERE id_conteneur='$temp'");
            // On teste si le carnet de notes est vide
            $sql= mysql_query("SELECT id FROM cn_devoirs WHERE id_conteneur='$id_racine'");
            $nb_dev = mysql_num_rows($sql);
            $sql= mysql_query("SELECT id FROM cn_conteneurs WHERE parent='$id_racine'");
            $nb_cont = mysql_num_rows($sql);
            if (($nb_dev == 0) and ($nb_cont == 0)) {
                $sql = mysql_query("DELETE FROM cn_notes_conteneurs WHERE id_conteneur='$id_racine'");
            } else {
                $arret = 'no';
                mise_a_jour_moyennes_conteneurs($id_classe, $periode_num,$id_racine,$id_racine,$arret);
            }

        }
    }

    echo "<form enctype=\"multipart/form-data\" name= \"formulaire\" action=\"index.php\" method=POST>";
    echo "<div class='norme'><p class=bold>";
    echo "|<a href=\"../accueil.php\">Accueil</a>|";
    echo "<a href='index.php'>Mes classes</a>|";
    echo "<a href='index.php?id_classe=$id_classe&saisie_matiere=$saisie_matiere'>$nom_classe : Choisir une autre priode</a>|";
    echo "<a href='add_modif_conteneur.php?id_racine=$id_racine&mode_navig=retour_index'>Crer une bote</a>|";
    echo "<a href='add_modif_dev.php?id_conteneur=$id_racine&mode_navig=retour_index'>Crer une valuation</a>|";
    if ($periode_num!='1')  {
        $themessage = 'En cliquant sur OK, vous allez crer la mme structure de botes que celle de la priode prcdente. Si des botes existent dj, elles ne seront pas supprimes.';
        echo "<a href='index.php?id_classe=$id_classe&periode_num=$periode_num&saisie_matiere=$saisie_matiere&creer_structure=yes'  onclick=\"return confirm_abandon (this, 'yes', '$themessage')\">Crer la mme structure que la priode prcdent</a>|";
    }
    echo "</b>";

    echo "<h2 class='gepi'>Carnet de notes : $nom_court ($nom_periode[$periode_num])</H2>";
    echo "<p class='bold'> Classe : $nom_classe | Matire : $matiere_nom ($matiere_nom_court)";
    // On teste si le carnet de notes est partag ou non avec d'autres utilisateurs
    $login_prof = $_SESSION['login'];
    $test_prof = mysql_query("SELECT nom, prenom FROM j_classes_matieres_professeurs j, utilisateurs u WHERE (j.id_matiere='$saisie_matiere' and j.id_classe='$id_classe' and j.id_professeur!='$login_prof' and j.id_professeur=u.login)");
    $nb_result = mysql_num_rows($test_prof);
    if ($nb_result != 0) {
        echo " | Carnet de notes partag avec : ";
        $i = 0;
        while ($i < $nb_result) {
            if ($i != 0) echo ", ";
            $nom_prof = mysql_result($test_prof, $i, 'nom');
            $prenom_prof = mysql_result($test_prof, $i, 'prenom');
            echo $prenom_prof." ".$nom_prof;
            $i++;
        }
    }
    echo "</p>";




    echo "<h3 class='gepi'>Liste des valuations du carnet de notes</h3>";
    $empty = affiche_devoirs_conteneurs($id_racine, $empty);
    echo "</ul>";
    if ($empty == 'yes') echo "<p><b>Actuellement, aucune valuation.</b> Vous devez crer au moins une valuation.</p>";

    if ($empty != 'yes') {
        if ($ver_periode[$periode_num] == 'N') {
            echo "<h3 class='gepi'>Saisie du bulletin ($nom_periode[$periode_num])</h3>";
            echo "<ul><li><a href='../saisie/saisie_notes.php?saisie_matiere=$saisie_matiere&id_classe=$id_classe&periode_cn=$periode_num&retour_cn=yes'>Saisie des moyennes</a></li>";
            echo "<li><a href='../saisie/saisie_appreciations.php?saisie_matiere=$saisie_matiere&id_classe=$id_classe&periode_cn=$periode_num'>Saisie des apprciations</a></li></ul>";
        } else {
            echo "<h3 class='gepi'>Visualisation du bulletin ($nom_periode[$periode_num])</h3>";
            echo "<ul><li><a href='../saisie/saisie_notes.php?saisie_matiere=$saisie_matiere&id_classe=$id_classe&periode_cn=$periode_num&retour_cn=yes'>Visualisation des moyennes</a> (priode close).</li>";
            echo "<li><a href='../saisie/saisie_appreciations.php?saisie_matiere=$saisie_matiere&id_classe=$id_classe&periode_cn=$periode_num'>Visualisation des apprciations</a> (priode close).</li></ul>";
        }

    }

}

if (isset($_GET['saisie_matiere']) and isset($_GET['id_classe']) and !(isset($_GET['periode_num'])) and !(isset($id_racine))) {
    $saisie_matiere = $_GET['saisie_matiere'];
    $id_classe = $_GET['id_classe'];

    $appel_nom_matiere = mysql_query("SELECT nom_complet, matiere FROM matieres WHERE matiere='$saisie_matiere'");
    $matiere_nom = mysql_result($appel_nom_matiere, 0, "nom_complet");
    $matiere_nom_court = mysql_result($appel_nom_matiere, 0, "matiere");

    $appel_nom_classe = mysql_query("SELECT classe FROM classes WHERE id='$id_classe'");
    $nom_classe = mysql_result($appel_nom_classe, 0, "classe");

    echo "<p class=bold>|";
    echo "<a href=\"../accueil.php\">Accueil</a>|";
    echo "<a href='index.php'>Mes classes</a>|</p>";
    echo "<p class='bold'> Classe : $nom_classe | Matire : $matiere_nom ($matiere_nom_court)</p>";

    echo "<H3>Visualisation/modification - Choisissez la priode : </H3>";
    $i="1";
    while ($i < $nb_periode) {
        echo "<p><a href='index.php?id_classe=$id_classe&periode_num=$i&saisie_matiere=$saisie_matiere'>".ucfirst($nom_periode[$i])."</a><p>";
    $i++;
    }
    echo "<H3>Visualisation uniquement : </H3>";
    echo "<p><a href='toutes_notes.php?id_classe=$id_classe&saisie_matiere=$saisie_matiere'>Voir toutes les valuations de l'anne</a><p>";

}

if (!(isset($_GET['saisie_matiere'])) and !(isset($_GET['id_classe'])) and !(isset($_GET['periode_num'])) and !(isset($id_racine))) {
    ?>
    <p class=bold>|<a href="../accueil.php">Accueil</a>|</p>
    <p>Accder au carnet de notes : </p>
    <?php
    $appel_donnees = mysql_query("SELECT DISTINCT c.* FROM classes c, periodes p WHERE p.id_classe = c.id  ORDER BY classe");
    $lignes = mysql_num_rows($appel_donnees);
    $i = 0;
    while($i < $lignes){
        $id_classe = mysql_result($appel_donnees, $i, "id");
        $aff_class = 'no';
        $appel_mat = mysql_query("SELECT DISTINCT m.* FROM matieres m, j_classes_matieres_professeurs j WHERE (j.id_classe='$id_classe' AND j.id_matiere=m.matiere) ORDER BY m.nom_complet");
        $nb_mat = mysql_num_rows($appel_mat);
        $j = 0;
        while($j < $nb_mat){
            $flag2 = "no";
            $var_matiere_nom = mysql_result($appel_mat, $j, "nom_complet");
            $var_matiere = mysql_result($appel_mat, $j, "matiere");
            $call_profs = mysql_query("SELECT * FROM j_classes_matieres_professeurs WHERE ( id_classe='$id_classe' and id_matiere = '$var_matiere') ORDER BY ordre_prof");
            $nombre_profs = mysql_num_rows($call_profs);
            $k = 0;
            while ($k < $nombre_profs) {
                $temp = strtoupper(@mysql_result($call_profs, $k, "id_professeur"));
                if ($temp == $_SESSION['login']) {$flag2 = "yes";}
                $k++;
            }
            if ($flag2 == "yes") {
                $display_class = mysql_result($appel_donnees, $i, "classe");
                if ($aff_class == 'no') {echo "<p><span class='norme'><b>$display_class</b> : ";$aff_class = 'yes';}
                echo "<a href='index.php?id_classe=$id_classe&saisie_matiere=$var_matiere'>$var_matiere_nom</a> <span class=small>($var_matiere)</span></p>";
            }
            $j++;
        }
        if ($flag2 == 'yes') {echo "</span><br /><br />";}
        $i++;
    }
}
?>
</body>
</html>