<?php
/*
 * Last modification  : 13/12/2005
 *
 * Copyright 2001, 2005 Thomas Belliard, Laurent Delineau, Edouard Hue, Eric Lebrun, Gabriel Fischer
 *
 * This file is part of GEPI.
 *
 * GEPI is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * GEPI is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with GEPI; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

// Global configuration file
require_once("../secure/connect.inc.php");
require_once("../lib/global.inc");
// Database
require_once("../lib/mysql.inc");
// Settings
require_once("../lib/settings.inc");
// Load settings
if (!loadSettings()) {
    die("Erreur chargement settings");
}

// Session related functions

require_once("../lib/session.inc");
require_once("../lib/transform_functions.php");
include("../fckeditor/fckeditor.php") ;

// Resume session
$resultat_session = resumeSession();
if ($resultat_session == 'c') {
    header("Location: ../utilisateurs/mon_compte.php?change_mdp=yes");
    die();
} else if ($resultat_session == '0') {
    header("Location: ../logout.php?auto=1");
    die();
};

include "../lib/share.inc.php";
include "../lib/mincals.inc";

if (!checkAccess()) {
    header("Location: ../logout.php?auto=1");
    die();
}

//On vrifie si le module est activ
if (getSettingValue("active_cahiers_texte")!='y') {
    die("Le module n'est pas activ.");
}

// initialisation des variables
$id_ct = isset($_POST["id_ct"]) ? $_POST["id_ct"] :(isset($_GET["id_ct"]) ? $_GET["id_ct"] :NULL);
$edit_devoir = isset($_POST["edit_devoir"]) ? $_POST["edit_devoir"] :(isset($_GET["edit_devoir"]) ? $_GET["edit_devoir"] :NULL);

// Initialisation couleur de fond
$color_fond_devoir = "#FFCCCF";
$color_fond_notices = "#C7FF99";

// initialisation de $day, $month et $year
if (isset($edit_devoir)) {
    $sql = "SELECT date_ct FROM ct_devoirs_entry WHERE id_ct='$id_ct'";
} else {
    $sql = "SELECT date_ct FROM ct_entry WHERE id_ct='$id_ct'";
}
if (isset($id_ct)) {
    // Modification d'un enregistrement
    // On rcupre la date dans la table
    $date_ct = sql_query1($sql);
    if ($date_ct != 0) {
        $day = strftime("%d", $date_ct);
        $month = strftime("%m", $date_ct);
        $year = strftime("%Y", $date_ct);
    } else {
        $day = isset($_POST["day"]) ? $_POST["day"] : (isset($_GET["day"]) ? $_GET["day"] : date("d"));
        $month = isset($_POST["month"]) ? $_POST["month"] : (isset($_GET["month"]) ? $_GET["month"] : date("m"));
        $year = isset($_POST["year"]) ? $_POST["year"] : (isset($_GET["year"]) ? $_GET["year"] : date("Y"));
    }
} else {
    // Nouvel enregistrement
    // On rcupre la date  l'aide de $day, $month, $year
    $day = isset($_POST["day"]) ? $_POST["day"] : (isset($_GET["day"]) ? $_GET["day"] : date("d"));
    $month = isset($_POST["month"]) ? $_POST["month"] : (isset($_GET["month"]) ? $_GET["month"] : date("m"));
    $year = isset($_POST["year"]) ? $_POST["year"] : (isset($_GET["year"]) ? $_GET["year"] : date("Y"));
}

// Initialisation de $id_matiere
$id_matiere = isset($_POST["id_matiere"]) ? $_POST["id_matiere"] : (isset($_GET["id_matiere"]) ? $_GET["id_matiere"] : -1);
$id_classe = isset($_POST["id_classe"]) ? $_POST["id_classe"] : (isset($_GET["id_classe"]) ? $_GET["id_classe"] : -1);

// Vrification : est-ce que l'utilisateur a le droit d'tre ici ?
if (($id_matiere != -1) and ($id_classe != -1)) {
    if (!Verif_prof_classe_matiere ($_SESSION['login'],$id_classe,$id_matiere)) {
        header("Location: ../logout.php?auto=1");
        die();
    }
    // Nom complet de la classe
    $appel_classe = "SELECT classe FROM classes WHERE id='$id_classe'";
    $classe_nom = sql_query1($appel_classe);
    // Nom complet de la matire
    $appel_mat = mysql_query("SELECT nom_complet, matiere FROM matieres WHERE matiere='$id_matiere'");
    $matiere_nom = mysql_result($appel_mat, 0, "nom_complet");
    $matiere_nom_court = mysql_result($appel_mat, 0, "matiere");
}

// Initialisation de la valeur delai
$delai = getSettingValue("delai_devoirs");
// Suppression de plusieurs notices
if ((isset($_POST['action'])) and ($_POST['action'] == 'sup_serie')) {
   $error = 'no';
   $sup_date = mktime(0,0,0,$_POST['sup_month'],$_POST['sup_day'],$_POST['sup_year']);
   $appel_ct = sql_query("SELECT id_ct  FROM ct_entry WHERE (id_matiere='".$id_matiere."' and id_classe='".$id_classe."' and date_ct != '' and date_ct < '".$sup_date."')");
   if (($appel_ct) and (sql_count($appel_ct)!=0)) {
     for ($i=0; ($row = sql_row($appel_ct,$i)); $i++) {
       $id_ctexte = $row[0];
       $appel_doc = sql_query("select emplacement from ct_documents where id_ct='".$id_ctexte."'");
       for ($j=0; ($row2 = sql_row($appel_doc,$j)); $j++) {
          $empl = $row2[0];
          if ($empl != -1) $del = @unlink($empl);
       }
       $del_doc = sql_query("delete from ct_documents where id_ct='".$id_ctexte."'");
       if (!($del_doc)) $error = 'yes';
       $del_ct = sql_query("delete from ct_entry where id_ct = '".$id_ctexte."'");
       if (!($del_ct)) $error = 'yes';
     }
     if ($error == 'no') {
        $msg = "Suppression russie";
     } else {
        $msg = "Il y a eu un problme lors de la suppression.";
     }
   } else {
     $msg = "Rien a supprimer.";
   }
}

//
// Suppression d'une notice
//
if ((isset($_GET['action'])) and ($_GET['action'] == 'sup_entry')) {
    $sql = "select id from ct_documents where id_ct='".$_GET['id_ct_del']."'";
    $res = sql_query($sql);
    if (($res) and (sql_count($res)!=0)) {
        $msg = "Impossible de supprimer cette notice : Vous devez d'abord supprimer les documents joints";
    } else {
        $res = sql_query("delete from ct_entry where id_ct = '".$_GET['id_ct_del']."'");
        if ($res) $msg = "Suppression russie";
    }
}

//
// Suppression d'un devoir
//
if ((isset($_GET['action'])) and ($_GET['action'] == 'sup_devoirs')) {
    $res = mysql_query("delete from ct_devoirs_entry where id_ct = '".$_GET['id_ct_del']."'");
    if ($res) $msg = "Suppression russie";
}


//
// Traitement du tlchargement de fichier
//
// Ajout d'un document

if ((isset($_POST['action'])) and ($_POST['action'] == 'ajout')) include "traite_doc.php";
// Suppression d'un document
if ((isset($_GET['action'])) and ($_GET['action'] == 'del')) include "traite_doc.php";
// Changement de nom d'un document
if ((isset($_POST['action'])) and ($_POST['action'] == 'modif')) include "traite_doc.php";

$today=mktime(0,0,0,$month,$day,$year);

//
// Insertion ou modification d'une notice
//
if (isset($_POST['notes'])) {
    // Cas des devoirs
    if (isset($edit_devoir)) {
        // Il s'agit d'un devoir  faire : on rcupre la date  l'aide de $_POST['display_date']
        if (ereg("([0-9]{2})/([0-9]{2})/([0-9]{4})", $_POST['display_date'])) {
            $year = substr($_POST['display_date'],6,4);
            $month = substr($_POST['display_date'],3,2);
            $day = substr($_POST['display_date'],0,2);
        } else {
            $year = strftime("%Y");
            $month = strftime("%m");
            $day = strftime("%d");
        }
        $today=mktime(0,0,0,$month,$day,$year);
        $contenu_cor = corriger_caracteres($_POST['notes']);
        if ($contenu_cor == '') $contenu_cor="...";
        if (isset($id_ct)) {
            // Modification d'un devoir
            $req = mysql_query("UPDATE ct_devoirs_entry SET contenu = '$contenu_cor', id_login='".$_SESSION['login']."', date_ct='$today' where id_ct='$id_ct' ");
        } else {
            // On insre la notice dans ct_devoirs_entry
            $req = mysql_query("INSERT INTO ct_devoirs_entry SET id_ct='0', contenu = '$contenu_cor', id_login='".$_SESSION['login']."', id_matiere='$id_matiere', id_classe='$id_classe', date_ct='$today'");
        }
        if ($req) $msg = "Enregistrement russi."; else $msg = "Problme lors de l'enregistrement !";
    } else {
        // Cas d'une notice
        isset($_POST['info']) ? $temp = '' : $temp = $today;
        $appel_cahier_texte = mysql_query("SELECT contenu  FROM ct_entry WHERE (id_matiere='$id_matiere' and id_classe='$id_classe' and date_ct='$temp')");
        $test_cahier_texte = mysql_num_rows($appel_cahier_texte);
        $contenu_cor = corriger_caracteres($_POST['notes']);
        if ($contenu_cor == '') $contenu_cor="...";
        if ($test_cahier_texte != 0) {
            $req = mysql_query("UPDATE ct_entry SET contenu = '$contenu_cor', id_login='".$_SESSION['login']."' WHERE (id_matiere='$id_matiere' and id_classe='$id_classe' and date_ct='$temp')");
        } else {
            $req = mysql_query("INSERT INTO ct_entry SET id_ct='0', contenu = '$contenu_cor', id_login='".$_SESSION['login']."', id_matiere='$id_matiere', id_classe='$id_classe', date_ct='$temp'");
        }
        if ($req) $msg = "Enregistrement russi."; else $msg = "Problme lors de l'enregistrement !";

    }
}
// si aucune notice n'existe dans ct_entry et qu'il existe des notices dans ct_devoirs_entry
// on cre une notice "info gnrales" vide
$test_ct_vide = sql_count(sql_query("SELECT id_ct FROM ct_entry WHERE (id_matiere='$id_matiere' and id_classe='$id_classe')"));
$test_ct_devoirs_vide = sql_count(sql_query("SELECT id_ct FROM ct_devoirs_entry WHERE (id_matiere='$id_matiere' and id_classe='$id_classe')"));
if (($test_ct_vide == 0) and ($test_ct_devoirs_vide != 0)) $req = mysql_query("INSERT INTO ct_entry SET id_ct='0', contenu = '', id_login='".$_SESSION['login']."', id_matiere='$id_matiere', id_classe='$id_classe', date_ct=''");

# Make the date valid if day is more then number of days in month
while (!checkdate($month, $day, $year)) $day--;
$message_suppression = "Confirmation de suppression";

//**************** EN-TETE *****************
$titre_page = "Cahier de texte";
require_once("../lib/header.inc");
//**************** FIN EN-TETE *************
echo "<script LANGUAGE=\"JavaScript\" SRC=\"../lib/clock_fr.js\"></SCRIPT>";
//-----------------------------------------------------------------------------------

echo "<table width=\"98%\" cellspacing=0 align=\"center\"><tr>\n";
echo "<td valign='top'>\n";
echo "<p>Nous sommes le :&nbsp;<br />";
echo "<script LANGUAGE=\"javascript\">";
echo "<!--\n";
echo "new LiveClock();\n";
echo "//-->";
echo "</SCRIPT></p>";
echo make_area_list_html('index.php', $id_classe, $id_matiere, $year, $month, $day); # from share.inc.php
echo "</td>";
echo "<td align=\"center\">\n";
echo "<p><span class='grand'>Cahier de texte</span>";
if (($id_matiere != -1) and ($id_classe != -1)) {
    echo "<span class='grand'><br />$classe_nom - $matiere_nom ($matiere_nom_court)</span>";
    // Test si le cahier de texte est partag
    $test_prof = mysql_query("SELECT nom, prenom FROM j_classes_matieres_professeurs j, utilisateurs u WHERE (j.id_matiere='$id_matiere' and j.id_classe='$id_classe' and j.id_professeur=u.login) ORDER BY nom, prenom");
    $nb_result = mysql_num_rows($test_prof);
    $i = 0;
    echo "<br />(";
    while ($i < $nb_result) {
      if ($i != 0) echo ", ";
      $nom_prof = @mysql_result($test_prof, $i, 'nom');
      $prenom_prof = @mysql_result($test_prof, $i, 'prenom');
      echo $prenom_prof." ".$nom_prof;
      $i++;
    }
    echo ")</p>";
    echo "<a href='../public/index.php?id_matiere=$id_matiere&id_classe=$id_classe' target='_blank'>Visualiser le cahier de texte en accs public</a>";
    if ((getSettingValue("cahiers_texte_login_pub") != '') and (getSettingValue("cahiers_texte_passwd_pub") != '')) {
       echo "<br />(Identifiant : ".getSettingValue("cahiers_texte_login_pub")." - Mot de passe : ".getSettingValue("cahiers_texte_passwd_pub").")";
    }
    echo "</td>\n";
    echo "<td align=\"right\">\n";
    echo "<form action=\"./index.php\" method=\"post\" style=\"width: 100%;\">";
    genDateSelector("", $day, $month, $year,'');
    echo "<input type=hidden name=id_matiere value=$id_matiere>";
    echo "<input type=hidden name=id_classe value=$id_classe>";
    echo "<input type=\"submit\" value=\"OK\"/></form>";
    //Affiche le calendrier
    if (isset($edit_devoir)) {
        minicals($year, $month, $day, $id_classe, $id_matiere, 'index.php?edit_devoir=yes&');
    } else {
        minicals($year, $month, $day, $id_classe, $id_matiere, 'index.php?');
    }
} else {
    echo "<span class='grand'> - Slectionnez une matire et une classe.";
}
echo "</td>\n";
echo "</tr>\n</table>\n<hr />";
if (($id_matiere == -1) or ($id_classe == -1)) {
    if ((getSettingValue("cahiers_texte_login_pub") != '') and (getSettingValue("cahiers_texte_passwd_pub") != '')) {
       echo " <b>AVERTISSEMENT</b> : En raison du caractre personnel du contenu, l'accs au <a href=\"../public\">site de consultation publique du cahier de texte</a> est restreint</b>.
       Pour accder aux cahiers de texte, le visiteur (lve, parent, ...) doit tre en possession d'un nom d'utilisateur et d'un mot de passe valides.";
    } else {
       echo " <b><b>AVERTISSEMENT</b> : l'accs  l'interface de consultation publique du cahier de texte est entirement libre et n'est soumise  aucune restriction.</b>";
    }
    echo "<br /><br />En utilisant le cahier de texte lectronique de GEPI :
    <ul>
    <li>vous acceptez que vos nom, prnom, classes et matires enseignes apparaissent sur le <a href=\"../public\">site de consultation publique du cahier de texte</a>,</li>
    <li>vous acceptez que toutes les informations que vous fournissez dans ce module soient diffuses sur ce mme site.</li>
    <li>vous vous engagez  respecter les rgles fixes concernant les cahiers de texte (Circulaire du 3 mai 1961 adresse aux recteurs - RLR, 550-1 b)</li>
    <li>vous vous engagez  ne pas faire figurer d'informations nominatives concernant les lves</li>
    </ul>";
    echo "<b>RAPPEL</b> : le cahier de texte constitue un outil de communication pour l'lve, les quipes disciplinaires
    et pluridisciplinaires, l'administration, le chef d'tablissement, les corps d'inspection et les familles.
    Il relate le travail ralis en classe :
    <ul>
    <li>projet de l'quipe pdagogique,</li>
    <li>contenu pdagogique de chaque sance, chronologie, objectif vis, travail  faire ...</li>
    <li>documents divers,</li>
    <li>valuations, ...</li>
    </ul>";
    echo "</body></html>";
    die();
}
echo "<center>";
if ($delai > 0) {
    if (isset($edit_devoir)) {
        echo "<b>>> Travaux personnels  effectuer<<</b> - ";
        echo "<a href=\"index.php?year=$year&month=$month&day=$day&id_classe=$id_classe&id_matiere=$id_matiere\" title=\"Cr&eacute;er/modifier les compte-rendus de s&eacute;ance de cours\">Compte-rendus de sance</a>";
    } else {
        echo "<a href=\"index.php?edit_devoir=yes&year=$year&month=$month&day=$day&id_classe=$id_classe&id_matiere=$id_matiere\" title=\"Cr&eacute;er/modifier les notifications de travaux personnels &agrave; faire\">Travaux personnels  effectuer</a> - ";
        echo "<b>>> Compte-rendus de sance <<</b>";
    }
    echo "</center><hr>";
}

echo "<table width=\"100%\" border = 0 align=\"center\" cellpadding=\"10\">";
echo "<tr><td width = \"30%\" valign=\"top\">";

/*********** Dbut ajout ***********************/

$debutCdt = getSettingValue("begin_bookings");
$req_total =
    "select count(id_ct) total, max(date_ct) date
    from ct_devoirs_entry
    where id_classe = $id_classe
    and date_ct > $today
    ";
$res_total = mysql_query($req_total);
$total = mysql_fetch_object($res_total);

if ($total->total > 0) {
    echo"<p>La classe a <a href=\"javascript:centrerpopup('liste_tous_devoirs.php?classe=$id_classe&debut=$today', 260, 320, 'scrollbars=yes,statusbar=no,resizable=yes');\"><strong>$total->total</strong> ";
    echo (($total->total == 1) ? "travail personnel" : "travaux personnels");
    echo "</a> jusqu'au <strong>" . strftime("%a %d %b %y", $total->date) . "</strong>.</p>\n";
}

$req_devoirs_arendre =
    "select 'd' type, contenu, date_ct, id_ct
    from ct_devoirs_entry
    where contenu != ''
    and id_matiere = '$id_matiere'
    and id_classe = $id_classe
    and date_ct > $today
    order by date_ct desc
    limit 4";
$res_devoirs_arendre = mysql_query($req_devoirs_arendre);
$dev_arendre = mysql_fetch_object($res_devoirs_arendre);

$req_notices =
    "select 'n' type, contenu, date_ct, id_ct
    from ct_entry
    where contenu != ''
    and id_matiere = '$id_matiere'
    and id_classe = $id_classe
    and date_ct <= $today
    and date_ct >= $debutCdt
    order by date_ct desc
    limit 5";
$res_notices = mysql_query($req_notices);
$notice = mysql_fetch_object($res_notices);

$req_devoirs =
    "select 'd' type, contenu, date_ct, id_ct
    from ct_devoirs_entry
    where contenu != ''
    and id_matiere = '$id_matiere'
    and id_classe = $id_classe
    and date_ct <= $today
    and date_ct >= $debutCdt
    order by date_ct desc
    limit 5";
$res_devoirs = mysql_query($req_devoirs);
$devoir = mysql_fetch_object($res_devoirs);

while (true) {
    if ($dev_arendre) {
        // Il reste des devoirs  rendre
        // On le copie dans $not_dev et on rcupre le suivant
        $not_dev = $dev_arendre;
        $dev_arendre = mysql_fetch_object($res_devoirs_arendre);
    } else {
        // On a puis les devoirs  rendre
        // On met les notices du jour avant les devoirs  rendre aujourd'hui
        if ($notice && (!$devoir || $notice->date_ct >= $devoir->date_ct)) {
            // Il y a encore une notice et elle est plus rcente que le prochain devoir, o il n'y a plus de devoirs
            $not_dev = $notice;
            $notice = mysql_fetch_object($res_notices);
        } elseif($devoir) {
            // Plus de notices et toujours un devoir, ou devoir plus rcent
            $not_dev = $devoir;
            $devoir = mysql_fetch_object($res_devoirs);
        } else {
            // Plus rien  afficher, on sort de la boucle
            break;
        }
    }

    // Passage en HTML
    $content = &$not_dev->contenu;
    include ("../lib/transform.php");

    // Documents (uniquement pour les notices)
    if ($not_dev->type == "n") {
        $req_docs =
            "select titre, emplacement
            from ct_documents
            where id_ct = $not_dev->id_ct
            order by titre";
        $res_docs = mysql_query($req_docs);
        while ($doc = mysql_fetch_object($res_docs)) {
            $html .= "<br/><a href=\"$doc->emplacement\">$doc->titre</a>";
        }
    }
    // Affichage
    if ($not_dev->date_ct > $today) {
        echo("<strong>A faire pour le :</strong><br/>\n");
    }
    echo("<b>" . strftime("%a %d %b %y", $not_dev->date_ct) . "</b>");
    echo(" - ");
    if ($not_dev->type == "n") {
        echo("<a href=\"index.php?id_ct=$not_dev->id_ct&id_classe=$id_classe&id_matiere=$id_matiere\">modifier</a>");
        echo(" - ");
        echo(
            "<a href=\"index.php?id_ct_del=$not_dev->id_ct&action=sup_entry&id_classe=$id_classe&id_matiere=$id_matiere\" onclick=\"return confirmlink(this, 'suppression de la notice du " . strftime("%a %d %b %y", $not_dev->date_ct) . " ?', '" . $message_suppression . "')\">supprimer</a>\n"
        );
        echo("<table border=\"1\" width=\"100%\" cellpadding=\"5\" bgcolor=\"$color_fond_notices\">\n<tr>\n<td>\n$html</td>\n</tr>\n</table>\n<br/>\n");
    } else {
        echo("<a href=\"index.php?id_ct=$not_dev->id_ct&id_classe=$id_classe&id_matiere=$id_matiere&edit_devoir=yes\">modifier</a>");
        echo(" - ");
        echo(
            "<a href=\"index.php?id_ct_del=$not_dev->id_ct&action=sup_devoirs&id_classe=$id_classe&id_matiere=$id_matiere\" onclick=\"return confirmlink(this, 'suppression du devoir du " . strftime("%a %d %b %y", $not_dev->date_ct) . " ?', '" . $message_suppression . "')\">supprimer</a>\n"
        );
        echo("<table border=\"1\" width=\"100%\" cellpadding=\"5\" bgcolor=\"$color_fond_devoir\">\n<tr>\n<td>\n$html</td>\n</tr>\n</table>\n<br/>\n");
    }
}

mysql_free_result($res_devoirs_arendre);
mysql_free_result($res_devoirs);
mysql_free_result($res_notices);

/*********** Fin ajout *************************/

// Affichage des info gnrales
$appel_info_cahier_texte = mysql_query("SELECT contenu, id_ct  FROM ct_entry WHERE (id_matiere='$id_matiere' and id_classe='$id_classe' and date_ct='')");
$nb_cahier_texte = mysql_num_rows($appel_info_cahier_texte);
$content = @mysql_result($appel_info_cahier_texte, 0, 'contenu');
$id_ctexte = @mysql_result($appel_info_cahier_texte, 0, 'id_ct');
include "../lib/transform.php";
 // documents joints
  $sql = "select titre, emplacement from ct_documents where id_ct='$id_ctexte' order by 'titre'";
  $res = sql_query($sql);
  if (($res) and (sql_count($res)!=0)) {
   $html .= "<b>Document(s) joint(s) :</b>";
   for ($i=0; ($row = sql_row($res,$i)); $i++) {
     $titre = $row[0];
     $emplacement = $row[1];
    $html .=  "<br /><a href='".$emplacement."' target=\"_blank\" >".$titre."</a>";
   }
  }
echo "<b>Informations Gnrales</b> - <a href='index.php?info=yes&id_classe=$id_classe&id_matiere=$id_matiere'>modifier</a> - <a href='index.php?info=yes&id_ct_del=$id_ctexte&action=sup_entry&id_classe=$id_classe&id_matiere=$id_matiere' onclick=\"return confirmlink(this, 'suppression de la notice Informations gnrales ?', '".$message_suppression."')\">supprimer</a><table border=1 width = '100%' cellpadding='5'><tr><td>".$html."&nbsp;</td></tr></table><br />";

// Fin de la colonne de gauche
echo "</td>";
// Dbut de la colonne de droite
echo "<td valign=\"top\">";

$test_ct_vide = sql_count(sql_query("SELECT id_ct FROM ct_entry WHERE (id_matiere='$id_matiere' and id_classe='$id_classe')"));
if ($test_ct_vide == 0) echo "<b><font color='red'>Actuellement ce cahier de texte est vide. Il n'est donc pas visible dans l'espace public.</font></b>";

//
// Affichage de la note en modification
//
echo "<form name=\"mef\" action=\"./index.php\" method=\"post\" style=\"width: 100%;\">";

if (isset($edit_devoir)) {
    echo "<fieldset style=\"padding-top: 8px; padding-bottom: 8px;  margin-left: auto; margin-right: auto; background: ".$color_fond_devoir.";\">";
    echo "<legend style=\"font-variant: small-caps;\"> Travaux personnels";
    if (isset($id_ct)) echo " - <b>Modification d'une notice</b>"; else echo " - <b><font color=\"red\">NOUVELLE NOTICE</font></b>";
    echo "</legend>";
} else {
    echo "<fieldset style=\"padding-top: 8px; padding-bottom: 8px;  margin-left: auto; margin-right: auto; background: ".$color_fond_notices.";\">\n";
    echo "<legend style=\"font-variant: small-caps;\"> Compte-rendu de la sance du " . strftime("%A %d %B %Y", $today) ."</legend>\n";
}
echo "<table border=\"0\" width=\"100%\">\n";

// Premire ligne
if (isset($_GET['info']) or isset($_POST['info']))
    $temp = "Informations Gnrales : ";
else if (isset($edit_devoir)) {
    //Configuration du calendrier
    include("../lib/calendrier/calendrier.class.php");
    $cal = new Calendrier("mef", "display_date");
    $temp = "A faire pour le : ";
    $temp .= "<input type='text' name = 'display_date' size='10' value = \"".date("d",$today)."/".date("m",$today)."/".date("Y",$today)."\"`\n";
    $temp .=  "<a href=\"#calend\" onClick=\"".$cal->get_strPopup('../lib/calendrier/pop.calendrier.php', 350, 170)."\"><img src=\"../lib/calendrier/petit_calendrier.gif\" border=\"0\"/></a>\n";

} else {
    $temp = strftime("%A %d %B %Y", $today);
}
echo "<tr><td style=\"width:60%\"><b>" . $temp . "</b>&nbsp;<input type=\"submit\" value=\"Enregistrer\" style=\"font-variant: small-caps;\"/>";
#y? sont les anne, mois et jour prcdents
#t? sont les anne, mois et jour suivants
$i= mktime(0,0,0,$month,$day-1,$year);
$yy = date("Y",$i);
$ym = date("m",$i);
$yd = date("d",$i);
$i= mktime(0,0,0,$month,$day+1,$year);
$ty = date("Y",$i);
$tm = date("m",$i);
$td = date("d",$i);
if (isset($edit_devoir)) {
    echo "</td><td><a title=\"Aller au jour prcdent\" href=\"index.php?edit_devoir=yes&year=$yy&month=$ym&day=$yd&id_classe=$id_classe&id_matiere=$id_matiere\">&lt;&lt;</a></td><td align=center><a href=\"index.php?edit_devoir=yes&id_classe=$id_classe&id_matiere=$id_matiere\">Aujourd'hui</a></td><td align=right><a title=\"Aller au jour suivant\" href=\"index.php?edit_devoir=yes&year=$ty&month=$tm&day=$td&id_classe=$id_classe&id_matiere=$id_matiere\">&gt;&gt;</a></td></tr>";
} else {
    echo "</td><td><a title=\"Aller au jour prcdent\" href=\"index.php?year=$yy&month=$ym&day=$yd&id_classe=$id_classe&id_matiere=$id_matiere\">&lt;&lt;</a></td><td align=center><a href=\"index.php?id_classe=$id_classe&id_matiere=$id_matiere\">Aujourd'hui</a></td><td align=right><a title=\"Aller au jour suivant\" href=\"index.php?year=$ty&month=$tm&day=$td&id_classe=$id_classe&id_matiere=$id_matiere\">&gt;&gt;</a></td></tr>";
}
echo "\n";

// affichage du texte
echo "<tr><td colspan=\"4\">";
if (isset($_GET['info']) or isset($_POST['info'])) {
    $appel_cahier_texte = mysql_query("SELECT contenu, id_ct  FROM ct_entry WHERE (id_matiere='$id_matiere' and id_classe='$id_classe' and date_ct='')");
    $infoyes = "&info=yes";
} elseif (isset($edit_devoir)) {
    $appel_cahier_texte = mysql_query("SELECT contenu, id_ct  FROM ct_devoirs_entry WHERE (id_matiere='$id_matiere' and id_classe='$id_classe' and date_ct = '$today')");
    $infoyes = "";
} else {
    $appel_cahier_texte = mysql_query("SELECT contenu, id_ct  FROM ct_entry WHERE (id_matiere='$id_matiere' and id_classe='$id_classe' and date_ct='$today')");
    $infoyes = "";
}
$test_cahier_texte = mysql_num_rows($appel_cahier_texte);
if ($test_cahier_texte != 0) {
  $contenu = mysql_result($appel_cahier_texte, 0, 'contenu');
  $id_ct = mysql_result($appel_cahier_texte, 0, 'id_ct');
} else {
  $contenu = '';
}
$oFCKeditor = new FCKeditor('notes') ;
$oFCKeditor->BasePath = '../fckeditor/' ;
$oFCKeditor->Config['DefaultLanguage']  = 'fr' ;
$oFCKeditor->ToolbarSet = 'Basic' ;
$oFCKeditor->Value      = $contenu ;
$oFCKeditor->Create() ;

//echo "<textarea name=notes rows=8 wrap='virtual' style=\"width:100%\" onchange=\"changement()\">";
//echo "$contenu";
//echo "</textarea>";
echo "</td></tr></table>";
if (isset($_GET['info']) or isset($_POST['info'])) echo "<input type=hidden name=info value=yes>";
if (isset($edit_devoir)) {
    echo "<input type=hidden name=edit_devoir value=yes>";
    if (isset($id_ct)) echo "<input type=\"hidden\" name=\"id_ct\" value=\"".$id_ct."\" />";
}
?>
<input type=hidden name=id_matiere value=<?php echo $id_matiere; ?>>
<input type=hidden name=id_classe value=<?php echo $id_classe; ?>>
<?php
// Dans le cas d'un notice, on rcupre les variables jours  l'aide de $day, $month, $year
if (!(isset($edit_devoir))) {
    echo "<input type=\"hidden\" name=\"day\" value=\"$day\" />\n";
    echo "<input type=\"hidden\" name=\"month\" value=\"$month\" />\n";
    echo "<input type=\"hidden\" name=\"year\" value=\"$year\" />\n";
}
echo "</fieldset></form>\n";
//
// Affichage des Documents joints
//
if (isset($id_ct)) {
    $sql = "select id, titre, taille, emplacement from ct_documents where id_ct='$id_ct' order by 'titre'";
    $res = sql_query($sql);
    if (($res) and (sql_count($res)!=0)) {
        echo "<fieldset style=\"padding-top: 8px; padding-bottom: 8px;  margin-left: auto; margin-right: auto;\">";
        echo "<legend style=\"font-variant: small-caps;\">Document(s) joint(s)</legend>";
        echo "<table border=1 width = 100%>";
        echo "<tr><td><b>Titre</b></td><td><b>Taille en Ko</b></td><td>&nbsp;</td></td></tr>";
        $nb_doc = 0;
        $id_document = array();
        for ($i=0; ($row = sql_row($res,$i)); $i++) {
            $id_document[$i] = $row[0];
            $titre_[$i] = $row[1];
            $taille = round($row[2]/1024,1);
            $emplacement = $row[3];
            echo "<tr><td><a href='".$emplacement."' target=\"_blank\">".$titre_[$i]."</a></td><td>".$taille."</td><td><a href='index.php?action=del&id_del=".$id_document[$i]."&id_ct=$id_ct&id_classe=$id_classe&id_matiere=$id_matiere".$infoyes."' onclick=\"return confirmlink(this, 'suppression du document joint ".basename($row[3])." ?', '".$message_suppression."')\">Supprimer</a></td></tr>";
            $nb_doc++;
        }
        echo "</table></fieldset>";
        echo "<fieldset style=\"padding-top: 8px; padding-bottom: 8px;  margin-left: auto; margin-right: auto;\">";
        echo "<legend style=\"font-variant: small-caps;\">Modifier le titre d'un document joint</legend>";
        echo "<form enctype=\"multipart/form-data\" action=\"./index.php\" method=\"post\" style=\"width: 100%;\">";
        echo "<table><tr><td>Nouveau titre : <INPUT TYPE=TEXT NAME=\"doc_name\"></td><td>pour le document : ";
        echo "<select name=id_document>\n";
        for ($i=0; $i<$nb_doc; $i++) {
            echo "<option value='".$id_document[$i]."'>".$titre_[$i]."</option>\n";
        }
        echo "</select>\n";
        echo "<INPUT TYPE=HIDDEN name=action value = 'modif'>\n";
        echo "<INPUT TYPE=SUBMIT value = \"Enregistrer\">\n";
        if (isset($_GET['info']) or isset($_POST['info'])) echo "<input type=hidden name=info value=yes>";
        echo "<input type=hidden name=id_ct value=$id_ct>\n";
        echo "<input type=hidden name=id_matiere value=$id_matiere>\n";
        echo "<input type=hidden name=id_classe value=$id_classe>\n";
        echo "</td></tr></table>\n";
        echo "</FORM>\n";
        echo "</fieldset>\n";

    }
}
//
// Documents joints
//
if (($id_ct!='') and (!isset($edit_devoir))) {
    echo "<fieldset style=\"padding-top: 8px; padding-bottom: 8px;  margin-left: auto; margin-right: auto;\">";
    echo "<legend style=\"font-variant: small-caps;\">Joindre un document</legend>";
    echo "<table border=0 width = 100%>";
    echo "<tr><td>";
    echo "<form enctype=\"multipart/form-data\" action=\"./index.php\" method=\"post\" style=\"width: 100%;\">\n";
    echo "<table border=\"0\"><tr><td>Titre du document : </td><td><INPUT TYPE=TEXT NAME=\"doc_name\"></td></tr>\n";
    echo "<tr><td>Joindre le document : </td>\n<td><INPUT TYPE=FILE NAME=\"doc_file\">\n";
    echo "<INPUT TYPE=HIDDEN name=action value = 'ajout'>\n";
    echo "<INPUT TYPE=SUBMIT value = Enregistrer>\n";
    echo "<input type=hidden name=id_ct value=$id_ct>\n";
    echo "<input type=hidden name=id_matiere value=$id_matiere>\n";
    echo "<input type=hidden name=id_classe value=$id_classe>\n";
    if (isset($_GET['info']) or isset($_POST['info'])) echo "<input type=hidden name=info value=yes>\n";
    echo "</td></tr>\n";
    echo "<tr><td colspan=\"2\">Tous les documents ne sont pas accepts, voir <a href='javascript:centrerpopup(\"limites_telechargement.php?&id_classe=$id_classe&id_matiere=$id_matiere\",600,480,\"scrollbars=yes,statusbar=no,resizable=yes\")'>les limites et restrictions</a></td></tr>\n";
    echo "</table></FORM>\n";
    echo "</td></tr></table></fieldset>\n";
}

//
// Suppression du cahier de texte jusqu' une date choisie
//

$last_date1 = sql_query1("SELECT date_ct FROM ct_entry WHERE (contenu != '' and id_matiere='$id_matiere' and id_classe='$id_classe' and date_ct != '') order by date_ct  LIMIT 1 ");
$last_date2 = sql_query1("SELECT date_ct FROM ct_devoirs_entry WHERE (contenu != '' and id_matiere='$id_matiere' and id_classe='$id_classe' and date_ct != '') order by date_ct  LIMIT 1 ");
$last_date = max($last_date1,$last_date2);
if ($last_date != "-1") {
    $sday = strftime("%d", $last_date);
    $smonth = strftime("%m", $last_date);
    $syear = strftime("%Y", $last_date);

    echo "<fieldset style=\"padding-top: 8px; padding-bottom: 8px;  margin-left: auto; margin-right: auto;\">";
    echo "<legend style=\"font-variant: small-caps;\">Suppression de notices</legend>";
    echo "<table border=0 width = 100%>";
    echo "<tr><td>";
    echo "<form action=\"./index.php\" method=\"post\" style=\"width: 100%;\">";

    echo "Date de la notice la plus ancienne : ".strftime("%A %d %B %Y", $last_date)."<br /><br />";

    echo "<b>Effacer toutes les donnes</b> (textes et documents joints) du cahier de texte avant la date ci-dessous :<br />";
    genDateSelector("sup_", $sday, $smonth, $syear,"more_years");
    echo "<INPUT TYPE=HIDDEN name=action value = 'sup_serie'>";
    echo "<INPUT TYPE=SUBMIT value = Valider onclick=\"return confirmlink(this, 'Etes-vous sr de vouloir supprimer les notices et les documents joints jusqu\' la date selectionne ?','Confirmation de suppression')\">";
    echo "<input type=hidden name=id_matiere value=$id_matiere>";
    echo "<input type=hidden name=id_classe value=$id_classe>";
    echo "</FORM>";
    echo "</td></tr></table></fieldset>";
}

// Fin de la colonne de droite

echo "</td></tr></table>";

?>


</body>
</html>