<?php
/*
 * Last modification  : 04/04/2005
 *
 * Copyright 2001, 2005 Thomas Belliard, Laurent Delineau, Edouard Hue, Eric Lebrun
 *
 * This file is part of GEPI.
 *
 * GEPI is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * GEPI is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with GEPI; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

// Global configuration file
require_once("../secure/connect.inc.php");
require_once("../lib/global.inc");
// Database
require_once("../lib/mysql.inc");
// Settings
require_once("../lib/settings.inc");
// Load settings
if (!loadSettings()) {
    die("Erreur chargement settings");
}
// Session related functions
require_once("../lib/session.inc");

// Resume session
$resultat_session = resumeSession();
if ($resultat_session == 'c') {
header("Location: ../utilisateurs/mon_compte.php?change_mdp=yes");
die();
} else if ($resultat_session == '0') {
    header("Location: ../logout.php?auto=1");
die();
};
include "../lib/share.inc.php";

//On vrifie si le module est activ
if (getSettingValue("active_cahiers_texte")!='y') {
    die("Le module n'est pas activ.");
}

//**************** EN-TETE *****************
require_once("../lib/header.inc");
//**************** FIN EN-TETE *************
$max_size_ko = getSettingValue("max_size")/1024;
$total_max_size_ko = getSettingValue("total_max_size")/1024;
// Nom complet de la classe
$appel_classe = "SELECT classe FROM classes WHERE id='".$_GET['id_classe']."'";
$classe_nom = sql_query1($appel_classe);
// Nom complet de la matire
$appel_mat = "SELECT nom_complet FROM matieres WHERE matiere='".$_GET['id_matiere']."'";
$matiere_nom = sql_query1($appel_mat);



?>
<H1 class='gepi'>GEPI - Limites et restrictions concernant le tlchargement de fichiers</H1>

<H2>Taille maximale d'un fichier</H2>
<p>La taille maximale autorise pour un fichier est : <b><?php echo $max_size_ko." Ko</b>"; ?></p>
<H2>Espace disque autoris</h2>
<?php
$query = "SELECT DISTINCT sum(taille) somme FROM ct_documents d, ct_entry e WHERE (e.id_matiere='".$_GET['id_matiere']."' and e.id_classe='".$_GET['id_classe']."' and e.id_ct = d.id_ct)";
$result = round(sql_query1($query)/1024,1);
echo "<p>L'espace disque maximal autoris pour la matire <i>".$matiere_nom."</i> dans la classe <i>".$classe_nom."</i> est : <b>".$total_max_size_ko." Ko</b>.";

echo "<p>La taille totale des fichiers actuellement stocks pour la matire <i>".$matiere_nom."</i> dans la classe <i>".$classe_nom."</i> est : <b>".$result." Ko</b>.</p>";

?>

<H2>Types de fichiers autoriss en tlchargement</h2>
<p>Ci-dessous le tableau des extensions autorises. Si vous souhaitez faire ajouter une ou plusieurs extensions, 
<?php
         echo("<a href=\"javascript:centrerpopup('../gestion/contacter_admin.php',600,480,'scrollbars=yes,statusbar=no,resizable=yes')\">contactez l'administrateur</a>");
?>
</p>
<table border="1"><tr><td><b>Extension</b></td><td><b>Type</b></td></tr>
<?php
$query = "SELECT extension, titre FROM ct_types_documents WHERE upload='oui' ORDER BY extension";
$result = sql_query($query);
for ($i=0; ($row=sql_row($result,$i)); $i++) {
    $ext = $row[0];
    $titre = $row[1];
    echo "<tr><td>".$ext."</td><td>".$titre."</td></tr>";
}
?>
</table>
</body>
</html>