<?php
/*
 * Last modification  : 04/04/2005
 *
 * Copyright 2001, 2005 Thomas Belliard, Laurent Delineau, Edouard Hue, Eric Lebrun
 *
 * This file is part of GEPI.
 *
 * GEPI is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * GEPI is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with GEPI; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */
require_once("../lib/global.inc");


function deplacer_fichier_upload($source, $dest) {
    $ok = @copy($source, $dest);
    if (!$ok) $ok = @move_uploaded_file($source, $dest);
    return $ok;
}

function corriger_extension($ext) {
    switch ($ext) {
    case 'htm':
        return 'html';
    case 'jpeg':
        return 'jpg';
    case 'tiff':
        return 'tif';
    default:
        return $ext;
    }
}

function creer_repertoire($base, $subdir) {
    $path = $base.'/'.$subdir;
    if (file_exists($path)) return true;

    @mkdir($path, 0777);
    @chmod($path, 0777);
    $ok = false;
    if ($f = @fopen("$path/.test", "w")) {
        @fputs($f, '<'.'?php $ok = true; ?'.'>');
        @fclose($f);
        include("$path/.test");
    }
    return $ok;
}


function ajout_doc($doc_file,$id_ct,$doc_name) {
    global $max_size, $total_max_size;

    //
    // Vrification du type de fichier
    //
    if (ereg("\.([^.]+)$", $doc_file['name'], $match)) {
        $ext = corriger_caracteres(strtolower($match[1]));
        $ext = corriger_extension($ext);
    } else {
        $ext = '';
    }
    $query = "SELECT id_type FROM ct_types_documents WHERE extension='$ext' AND upload='oui'";

    $result = sql_query($query);
    if ($row = @sql_row($result,0)) {
        $id_type = $row[0];
    }
    else {
        return "Ce type de fichier n'est pas autoris en tlchargement";
        die();
    }
    //
    // Vrification de la taille du fichier
    //
    $sql = "select id_classe from ct_entry where id_ct='$id_ct'";
    $id_classe = sql_query1($sql);
    $sql = "select id_matiere from ct_entry where id_ct='$id_ct'";
    $id_matiere = sql_query1($sql);
    $max_size_ko = $max_size/1024;
    $taille = $doc_file['size'];
    if ($taille > $max_size) {
        return "Tlchargement impossible : taille maximale autorise : ".$max_size_ko." Ko";
        die();
    }
    if ($taille == 0) {
        return "Le fichier slectionn semble vide : transfert impossible.";
        die();
    }
    $query = "SELECT DISTINCT sum(taille) somme FROM ct_documents d, ct_entry e WHERE (e.id_matiere='".$id_matiere."' and e.id_classe='".$id_classe."' and e.id_ct = d.id_ct)";
    $total = sql_query1($query);
    if (($total+$taille) > $total_max_size) {
        return "Tlchargement impossible : espace disque disponible (".(($total_max_size - $total)/1024)." Ko) insuffisant.";
        die();
    }
    //
    // Recopier le fichier
    //
    $dest = '../documents/';
    $dossier = "cl".$id_classe."_".$id_matiere;
//    if (creer_repertoire('../documents', $_SESSION['login'])) {
//      $dest .= $_SESSION['login'].'/';
    if (creer_repertoire('../documents', $dossier)) {
      $dest .= $dossier.'/';
    } else {
      return "Problme d'criture sur le rpertoire. Veuillez signaler ce problme  l'administrateur du site";
      die();
    }

    $nom_sans_ext = substr(basename($doc_file['name']),0,strlen(basename($doc_file['name']))-(strlen($ext)+1));
    $nom_sans_ext = ereg_replace("[^.a-zA-Z0-9_=-]+", "_", $nom_sans_ext);
    if (strstr($nom_sans_ext, "..")) {
        return "Problme de transfert : le fichier n'a pas pu tre transfr sur le rpertoire. Veuillez signaler ce problme  l'administrateur du site";
        die();
    }

    $n = 0;
    while (file_exists($newFile = $dest.$nom_sans_ext.($n++ ? '-'.$n : '').'.'.$ext));
    $dest_path = $newFile;

    if (!deplacer_fichier_upload($doc_file['tmp_name'], $dest_path)) {
        return "Problme de transfert : le fichier n'a pas pu tre transfr sur le rpertoire. Veuillez signaler ce problme  l'administrateur du site";
        die();
    }

    if ($doc_name == '') $doc_name = basename($newFile);

    $nouveau = false;
    if (!isset($id_document)) {
        $query = "INSERT INTO ct_documents SET taille='$taille', emplacement='$dest_path', id_ct='$id_ct', titre='".corriger_caracteres($doc_name)."'";
        sql_query($query);
        $id_document = mysql_insert_id();
        $nouveau = true;
    } else {
        $query = "UPDATE ct_documents SET taille='$taille', emplacement='$dest_path', id_ct='$id_ct', titre='$titre' WHERE id_document=$id_document";
        sql_query($query);
    }
    return "Tlchargement russi !";
}


$doc_name = isset($_POST["doc_name"]) ? $_POST["doc_name"] :NULL;
$doc_file = isset($_FILES["doc_file"]) ? $_FILES["doc_file"] : NULL;

// Vrification : est-ce que l'utilisateur a les droits suffisant ?
$sql = "select id_classe from ct_entry where id_ct='$id_ct'";
$id_classe = sql_query1($sql);
$sql = "select id_matiere from ct_entry where id_ct='$id_ct'";
$id_matiere = sql_query1($sql);
$total_max_size = getSettingValue("total_max_size");
$max_size = getSettingValue("max_size");

if (!Verif_prof_classe_matiere ($_SESSION['login'],$id_classe,$id_matiere)) {
    $msg = "Accs non autoris  ce document.";
} else if (isset($_POST["action"]) and ($_POST["action"] == 'ajout')) {
    $msg = ajout_doc($doc_file,$id_ct,$doc_name);
} else if ((isset($_GET["action"])) and ($_GET["action"] == 'del')) {
    $id_document = $_GET['id_del'];
    $sql = "select emplacement from ct_documents where (id = '$id_document' and id_ct='$id_ct')";
    $empl = sql_query1($sql);
    if ($empl == -1) {
        $msg = "Il n' a pas de document  supprimer.";
    } else {
        $del = @unlink($empl);
        if (file_exists($empl)) {
            $msg = "Problme : le document n'a pa pu tre supprim. Contactez l'administrateur du site.";
        } else {
            if (sql_query("delete from ct_documents where id = '$id_document'")) {
                $msg = "Supression russie";
            } else {
                $msg = "Un problme est survenu lors de la suppression du document. Contactez l'administrateur du site.";
            }
        }
    }
} else if ((isset($_POST["action"])) and ($_POST["action"] == 'modif')) {
    if ((trim($doc_name)) != '') {
        $query = "UPDATE ct_documents SET titre='".corriger_caracteres($doc_name)."' WHERE id='".$_POST['id_document']."'";
        if (sql_query($query)) {
            $msg = "Changement de nom russi";
        } else {
            $msg = "Un problme est survenu lors du changement de nom du document. Contactez l'administrateur du site.";
        }

    } else {
        $msg = "Veuillez choisir un nom valide.";
    }

}
?>