<?php 
/*
 * Last modification  : 04/04/2005
 *
 * Copyright 2001, 2005 Thomas Belliard, Laurent Delineau, Edouard Hue, Eric Lebrun
 *
 * This file is part of GEPI.
 *
 * GEPI is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * GEPI is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with GEPI; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

// Global configuration file
require_once("../secure/connect.inc.php");
require_once("../lib/global.inc");
// Database
require_once("../lib/mysql.inc");
// Settings
require_once("../lib/settings.inc");
// Load settings
if (!loadSettings()) {
    die("Erreur chargement settings");
}
// Session related functions
require_once("../lib/session.inc");

// Resume session
$resultat_session = resumeSession();
if ($resultat_session == 'c') {
header("Location: ../utilisateurs/mon_compte.php?change_mdp=yes");
die();
} else if ($resultat_session == '0') {
    header("Location: ../logout.php?auto=1");
    die();
};
// Check access
include "../lib/share.inc.php";
if (!checkAccess()) {
    header("Location: ../logout.php?auto=1");
    die();
}
// Suppresion d'un ou plusieurs cahiers de texte
if (isset($_POST['sup_ct'])) {
  $query = sql_query("SELECT DISTINCT id_classe, id_matiere, id_login FROM ct_entry ORDER BY id_classe, id_matiere");
  $msg = '';
  for ($i=0; ($row=sql_row($query,$i)); $i++) {
      $id_classe = $row[0];
      $id_matiere = $row[1];
      $id_prop = $row[2];
      $temp = "sup".$id_classe."_".$id_matiere."_".$id_prop;
      if (isset($_POST[$temp])) {
         $error = 'no';
         $appel_ct = sql_query("SELECT id_ct  FROM ct_entry WHERE (id_matiere='".$id_matiere."' and id_classe='".$id_classe."' and id_login = '".$id_prop."')");
         if (($appel_ct) and (sql_count($appel_ct)!=0)) {
           for ($k=0; ($row2 = sql_row($appel_ct,$k)); $k++) {
             $id_ctexte = $row2[0];
             $appel_doc = sql_query("select emplacement from ct_documents where id_ct='".$id_ctexte."'");
             for ($j=0; ($row3 = sql_row($appel_doc,$j)); $j++) {
                $empl = $row3[0];
                if ($empl != -1) $del = @unlink($empl);
             }
             $del_doc = sql_query("delete from ct_documents where id_ct='".$id_ctexte."'");
             if (!($del_doc)) $error = 'yes';
             $del_ct = sql_query("delete from ct_entry where id_ct = '".$id_ctexte."'");
             if (!($del_ct)) $error = 'yes';
           }
           if ($error == 'no') {
              $msg = "Suppression des notices dans ct_entry russie";
           } else {
              $msg = "Il y a eu un problme lors de la suppression des notices dans ct_entry.";
           }
         } else {
           $msg = "Pas de notice  supprimer dans ct_entry.";
         }
      }

   }
  $query = sql_query("SELECT DISTINCT id_classe, id_matiere, id_login FROM ct_devoirs_entry ORDER BY id_classe, id_matiere");
  for ($i=0; ($row=sql_row($query,$i)); $i++) {
      $id_classe = $row[0];
      $id_matiere = $row[1];
      $id_prop = $row[2];
      $temp = "sup".$id_classe."_".$id_matiere."_".$id_prop;
      if (isset($_POST[$temp])) {
         $error = 'no';
         $del_ct_devoirs = sql_query("delete  FROM ct_devoirs_entry WHERE (id_matiere='".$id_matiere."' and id_classe='".$id_classe."' and id_login = '".$id_prop."')");
         if (!($del_ct_devoirs)) $error = 'yes';
         if ($error == 'no') {
             $msg .= "<br>Suppression des notices dans ct_devoirs_entry russie";
         } else {
             $msg .= "<br>Il y a eu un problme lors de la suppression des notices dans ct_devoirs_entry.";
         }
      } else {
           $msg .= "<br>Pas de notice  supprimer dans ct_devoirs_entry.";
      }

   }

}

// Modification d'un cahier de texte - Etape 2
if (isset($_POST['action'])) {
  $id_classe = $_POST['id_classe'];
  $id_matiere = $_POST['id_matiere'];
  $id_prop = $_POST['id_prop'];

  if ($_POST['action'] == 'change_classe') {
     $sql1 = sql_query("UPDATE ct_entry SET id_classe='".$id_classe."' WHERE (id_matiere='".$id_matiere."' and id_login='".$id_prop."')");
     $sql2 = sql_query("UPDATE ct_devoirs_entry SET id_classe='".$id_classe."' WHERE (id_matiere='".$id_matiere."' and id_login='".$id_prop."')");
     if (($sql1) and ($sql2)) {
        $msg = "Le changement de classe a t effectu.";
     } else {
        $msg = "Il y a eu un problme lors du changement de classe.";
     }
  }
  if ($_POST['action'] == 'change_matiere') {
     $sql1 = sql_query("UPDATE ct_entry SET id_matiere='".$id_matiere."' WHERE (id_classe='".$id_classe."' and id_login='".$id_prop."')");
     $sql2 = sql_query("UPDATE ct_devoirs_entry SET id_matiere='".$id_matiere."' WHERE (id_classe='".$id_classe."' and id_login='".$id_prop."')");
     if (($sql1) and ($sql2)) {
        $msg = "Le changement de matire a t effectu.";
     } else {
        $msg = "Il y a eu un problme lors du changement de matire.";
     }
  }
  if ($_POST['action'] == 'change_prop') {
     $sql1 = sql_query("UPDATE ct_entry SET id_login='".$id_prop."' WHERE (id_classe='".$id_classe."' and id_matiere='".$id_matiere."')");
     $sql2 = sql_query("UPDATE ct_entry SET id_login='".$id_prop."' WHERE (id_classe='".$id_classe."' and id_matiere='".$id_matiere."')");
     if (($sql1) and ($sql2)) {
        $msg = "Le changement de propritaire a t effectu.";
     } else {
        $msg = "Il y a eu un problme lors du changement de propritaire.";
     }
  }


}

// header
$titre_page = "Administration des cahiers de texte";
require_once("../lib/header.inc");


// Modification d'un cahier de texte - Etape 1
if (isset($_GET['action'])) {
  echo "<p class='bold'>|<a href=\"admin_ct.php\">Retour</a>|</p>";
  $id_classe = $_GET['id_classe'];
  $id_matiere = $_GET['id_matiere'];
  $id_prop = $_GET['id_prop'];

  $nom_classe = sql_query1("select classe from classes where id = '".$id_classe."'");
  if ($nom_classe == "-1") $nom_classe = "<font color='red'>Classe inexistante</font>";
  $nom_matiere = sql_query1("select nom_complet from matieres where matiere = '".$id_matiere."'");
  if ($nom_matiere == "-1") {
     $nom_matiere = "<font color='red'>".$id_matiere." : matire inexistante</font>";
  } else {
     $test_matiere_classe = sql_query("select id_professeur from j_classes_matieres_professeurs WHERE (id_classe='".$id_classe."' and id_matiere = '".$id_matiere."')");
     if (sql_count($test_matiere_classe) == 0) $nom_matiere = "<font color='red'>".$nom_matiere." - Matire inexistante dans cette classe</font>";
  }
  $sql_prof = sql_query("select nom, prenom from utilisateurs where login = '".$id_prop."'");
  if (!($sql_prof)) {
     $nom_prof = "<font color='red'>".$id_prop." : utilisateur inexistant</font>";
  } else {
     $row_prof=sql_row($sql_prof,0);
     $nom_prof = $row_prof[1]." ".$row_prof[0];
     $test_matiere_classe_prof = sql_query("select id_professeur from j_classes_matieres_professeurs WHERE (id_classe='".$id_classe."' and id_matiere = '".$id_matiere."' and id_professeur = '".$id_prop."')");
     if (sql_count($test_matiere_classe_prof) == 0) $nom_prof = "<font color='red'>".$nom_prof."  - Ce professeur n'enseigne pas dans cette classe</font>";
  }

  if ($_GET['action'] == 'modif_classe') {
     echo "<form action=\"admin_ct.php\" name=\"formulaire2\" method=\"post\">";
     echo "<H2>Cahier de texte - Modification de la classe</h2>";
     echo "<p>Classe actuelle : <b>".$nom_classe."</b><br />";
     echo "Matire actuelle : <b>".$nom_matiere."</b><br />";
     echo "Propritaire actuel : <b>".$nom_prof."</b></p>";
     echo "<p>Vous pouvez attribuer  ce cahier de texte une nouvelle classe.</p>";
     echo "<p>Choisissez la nouvelle classe : </p>";
     $sql_classe = sql_query("select id, classe from classes order by 'classe'");
     echo "<select name=\"id_classe\" size=\"1\">";
     for ($i=0; ($row=sql_row($sql_classe,$i)); $i++) {
        $id_classe = $row[0];
        $nom_classe = $row[1];
        echo "<option value=\"".$id_classe."\">".$nom_classe."</option>";
     }
     echo "</select>";
     echo "<input type=\"hidden\" name=\"id_matiere\" value=\"".$id_matiere."\" />";
     echo "<input type=\"hidden\" name=\"id_prop\" value=\"".$id_prop."\" />";
     echo "<input type=\"hidden\" name=\"action\" value=\"change_classe\" />";
     echo "<br /><input type=\"submit\" value=\"Enregistrer\" />";
     echo "</form>";

  }
  if ($_GET['action'] == 'modif_matiere') {
     echo "<form action=\"admin_ct.php\" name=\"formulaire2\" method=\"post\">";
     echo "<H2>Cahier de texte - Modification de la matire</h2>";
     echo "<p>Classe actuelle : <b>".$nom_classe."</b><br />";
     echo "Matire actuelle : <b>".$nom_matiere."</b><br />";
     echo "Propritaire actuel : <b>".$nom_prof."</b></p>";
     echo "<p>Vous pouvez attribuer  ce cahier de texte une nouvelle matire.</p>";
     echo "<p>Choisissez la nouvelle matire : </p>";
     $sql_matiere = sql_query("select m.matiere, m.nom_complet from matieres m, j_classes_matieres_professeurs j where (j.id_classe='".$id_classe."' and j.id_matiere=m.matiere) order by 'c.nom_comlet'");
     echo "<select name=\"id_matiere\" size=\"1\">";
     for ($i=0; ($row=sql_row($sql_matiere,$i)); $i++) {
        $id_matiere = $row[0];
        $nom_matiere = $row[1];
        echo "<option value=\"".$id_matiere."\">".$nom_matiere."</option>";
     }
     echo "</select>";
     echo "<input type=\"hidden\" name=\"id_classe\" value=\"".$id_classe."\" />";
     echo "<input type=\"hidden\" name=\"id_prop\" value=\"".$id_prop."\" />";
     echo "<input type=\"hidden\" name=\"action\" value=\"change_matiere\" />";
     echo "<br /><input type=\"submit\" value=\"Enregistrer\" />";
     echo "</form>";

  }
  if ($_GET['action'] == 'modif_prop') {
     echo "<form action=\"admin_ct.php\" name=\"formulaire2\" method=\"post\">";
     echo "<H2>Cahier de texte - Modification du propritaire</h2>";
     echo "<p>Classe actuelle : <b>".$nom_classe."</b><br />";
     echo "Matire actuelle : <b>".$nom_matiere."</b><br />";
     echo "Propritaire actuel : <b>".$nom_prof."</b></p>";
     echo "<p>Vous pouvez attribuer  ce cahier de texte un nouveau propritaire.</p>";
     echo "<p>Choisissez le nouveau propritaire : </p>";
     $sql_matiere = sql_query("select DISTINCT u.login, u.nom, u.prenom from utilisateurs u, matieres m, j_classes_matieres_professeurs j where (u.login=j.id_professeur and j.id_classe='".$id_classe."' and j.id_matiere='".$id_matiere."') order by 'u.nom, u.prenom'");
     echo "<select name=\"id_prop\" size=\"1\">";
     for ($i=0; ($row=sql_row($sql_matiere,$i)); $i++) {
        $id_prop = $row[0];
        $nom_prop = $row[1];
        $prenom_prop = $row[2];
        echo "<option value=\"".$id_prop."\">".$nom_prop." ".$prenom_prop."</option>";
     }
     echo "</select>";
     echo "<input type=\"hidden\" name=\"id_classe\" value=\"".$id_classe."\" />";
     echo "<input type=\"hidden\" name=\"id_matiere\" value=\"".$id_matiere."\" />";
     echo "<input type=\"hidden\" name=\"action\" value=\"change_prop\" />";
     echo "<br /><input type=\"submit\" value=\"Enregistrer\" />";
     echo "</form>";

  }
}



if (!(isset($_GET['action']))) {

  // Affichage du tableau complet
  ?>
  <p class='bold'>|<a href="index.php">Retour</a>|</p>
  <H2>Administration des cahiers de texte</h2>
  <p>Le tableau ci-dessous prsentent l'ensemble des cahiers de texte actuellement en ligne. Les problmes sont signals en rouge.
  <br />Vous pouvez modifier la classe, la matire ou le propritaire d'un cahier de texte en cliquant sur le lien correspondant.
  <br />Vous pouvez galement supprimer dfinitivement un cahier de texte (notices et documents joints).</p>


  <form action="admin_ct.php" name="formulaire1" method="post">
  <table border="1"><tr valign='center' align='center'>
  <td><b><a href='admin_ct.php?order_by=id_classe,id_matiere'>Classe</a></b></td>
  <td><b><a href='admin_ct.php?order_by=id_matiere,id_classe'>Matire</a></b></td>
  <td><b><a href='admin_ct.php?order_by=id_login,id_classe,id_matiere'>Propritaire</a></b></td>
  <td><b>Nombre<br />de notices</b></td>
  <td><b>Nombre<br />de notices<br />"devoirs"</b></td>
  <td><b>Action</b></td><td><b><input type="submit" name="sup_ct" value="Suppression" onclick="return confirmlink(this, 'La suppression d\'un cahier de texte est dfinitive. Les notices ainsi que les documents joints seront supprims. Etes-vous sr de vouloir continuer ?', 'Confirmation de la suppression')" /></b></td></tr>

  <?php
  if (!isset($_GET['order_by'])) {
     $order_by = "id_classe,id_matiere";
  } else {
     $order_by = $_GET['order_by'];
  }
  
  $query = sql_query("SELECT DISTINCT id_classe, id_matiere, id_login FROM ct_entry ORDER BY ".$order_by);
  for ($i=0; ($row=sql_row($query,$i)); $i++) {
      $id_classe = $row[0];
      $id_matiere = $row[1];
      $id_prop = $row[2];
      $nom_classe = sql_query1("select classe from classes where id = '".$id_classe."'");
      if ($nom_classe == "-1") $nom_classe = "<font color='red'>Classe inexistante</font>";

      $nom_matiere = sql_query1("select nom_complet from matieres where matiere = '".$id_matiere."'");
      if ($nom_matiere == "-1") {
          $nom_matiere = "<font color='red'>".$id_matiere." : matire inexistante</font>";
      } else {
        $test_matiere_classe = sql_query("select id_professeur from j_classes_matieres_professeurs WHERE (id_classe='".$id_classe."' and id_matiere = '".$id_matiere."')");
        if (sql_count($test_matiere_classe) == 0) $nom_matiere = "<font color='red'>".$nom_matiere." : <br />matire inexistante dans cette classe</font>";
      }

      $sql_prof = sql_query("select nom, prenom from utilisateurs where login = '".$id_prop."'");
      if (!($sql_prof)) {
         $nom_prof = "<font color='red'>".$id_prop." : utilisateur inexistant</font>";
      } else {
         $row_prof=sql_row($sql_prof,0);
         $nom_prof = $row_prof[1]." ".$row_prof[0];
         $test_matiere_classe_prof = sql_query("select id_professeur from j_classes_matieres_professeurs WHERE (id_classe='".$id_classe."' and id_matiere = '".$id_matiere."' and id_professeur = '".$id_prop."')");
         if (sql_count($test_matiere_classe_prof) == 0) $nom_prof = "<font color='red'>".$nom_prof." : <br />Ce professeur n'enseigne pas dans cette classe</font>";
      }
      // Nombre de notices de haque utilisateurs
      $nb_ct = sql_count(sql_query("select 1=1 FROM ct_entry WHERE (id_classe='".$id_classe."' and id_matiere='".$id_matiere."' and id_login='".$id_prop."') "));

      // Nombre de notices devoirs de haque utilisateurs
      $nb_ct_devoirs = sql_count(sql_query("select 1=1 FROM ct_devoirs_entry WHERE (id_classe='".$id_classe."' and id_matiere='".$id_matiere."' and id_login='".$id_prop."') "));

      // Affichage des lignes
      echo "<tr><td><a href='admin_ct.php?id_matiere=".$id_matiere."&id_classe=".$id_classe."&id_prop=".$id_prop."&action=modif_classe' title='modifier la classe'>".$nom_classe."</a></td>";
      echo "<td><a href='admin_ct.php?id_matiere=".$id_matiere."&id_classe=".$id_classe."&id_prop=".$id_prop."&action=modif_matiere' title='modifier la matire'>".$nom_matiere."</a></td>";
      echo "<td><a href='admin_ct.php?id_matiere=".$id_matiere."&id_classe=".$id_classe."&id_prop=".$id_prop."&action=modif_prop' title='modifier le propritaire'>".$nom_prof."</a></td>";
      echo "<td>".$nb_ct."</td>";
      echo "<td>".$nb_ct_devoirs."</td>";
      echo "<td><a href='../public/index.php?id_matiere=$id_matiere&id_classe=$id_classe' target='_blank'>Voir</a></td>";
      echo "<td><center><input type=\"checkbox\" name=\"sup".$id_classe."_".$id_matiere."_".$id_prop."\" /></center></td>";
      echo "</tr>";

  }
  echo "</table></form>";
}
?>


</body>
</html>