<?php
/*
 * Last modification  : 04/04/2005
 *
 * Copyright 2001, 2005 Thomas Belliard, Laurent Delineau, Edouard Hue, Eric Lebrun
 *
 * This file is part of GEPI.
 *
 * GEPI is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * GEPI is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with GEPI; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

// Global configuration file

// Quand on est en SSL, IE n'arrive pas  ouvrir le PDF.
//Le problme peut tre rsolu en ajoutant la ligne suivante :
Header('Pragma: public');

define('FPDF_FONTPATH','../fpdf/font/');
define('TopMargin','15');
define('RightMargin','15');
define('LeftMargin','15');
define('BottomMargin','15');
define('LargeurPage','210');

require('../fpdf/fpdf.php');
require('../fpdf/ex_fpdf.php');

require_once("../secure/connect.inc.php");
require_once("../lib/global.inc");
// Database
require_once("../lib/mysql.inc");
// Settings
require_once("../lib/settings.inc");
// Load settings
if (!loadSettings()) {
    die("Erreur chargement settings");
}
// Session related functions
require_once("../lib/session.inc");

// Resume session
$resultat_session = resumeSession();
if ($resultat_session == 'c') {
    header("Location: ../utilisateurs/mon_compte.php?change_mdp=yes");
    die();
} else if ($resultat_session == '0') {
    header("Location: ../logout.php?auto=1");
    die();
};

include "../lib/share.inc.php";
if (!checkAccess()) {
    header("Location: ../logout.php?auto=1");
    die();
}

$pdf=new PDF("P","mm","A4");
$pdf->SetTopMargin(TopMargin);
$pdf->SetRightMargin(RightMargin);
$pdf->SetLeftMargin(LeftMargin);
$pdf->SetAutoPageBreak(true, BottomMargin);
// Couleur des traits
$pdf->SetDrawColor(0,0,0);
$pdf->AddFont('Alakob','','Alakob.php');

// Pour les tests : permet de voir les bords des cadres
$bord = 0;
// on appelle une nouvelle page pdf
$pdf->AddPage("P");
$pdf->SetFontSize(10);
$text_classe_matiere = '';
if (isset($_GET['id_classe'])) {
    $text_classe_matiere = "Classe : ".sql_query1("SELECT classe FROM classes WHERE id='".$_GET['id_classe']."'");
    if (isset($_GET['num_periode']))
        $text_classe_matiere .= " - Priode : ".sql_query1("SELECT nom_periode FROM periodes WHERE
        (
        id_classe='".$_GET['id_classe']."' and
        num_periode='".$_GET['num_periode']."'
        )");
}

if (isset($_GET['id_matiere']))
    $text_classe_matiere .= " - Matire : ".sql_query1("SELECT nom_complet FROM matieres WHERE matiere='".$_GET['id_matiere']."'");

if ($text_classe_matiere != '')
    $pdf->Cell(0, 8, $text_classe_matiere,$bord,0, "L",0);
$pdf->ln();


isset($_GET['titre']) ? $titre = unslashes($_GET['titre']) : $titre='' ;
if ($titre!='') {
    //Positionnement du titre
    $w=$pdf->GetStringWidth($titre)+6;
    $pdf->SetX((LargeurPage-$w)/2);
    //Couleurs du cadre, du fond et du texte
    $pdf->SetDrawColor(0,0,0);
    $pdf->SetFillColor(255,255,255);
    $pdf->SetTextColor(0,0,0);
    //Titre centr
    $pdf->Cell($w,9,$titre,$bord,1,'C',0);
    //Saut de ligne
}

// tableau des en-ttes
$header1 = array();
$header1 = unserialize($_SESSION['header_pdf']);

// tableau des largeurs
$w1 = array();
$w1 = unserialize($_SESSION['w_pdf']);

// tableau des donnes
$data1 = array();
$data1 = unserialize($_SESSION['data_pdf']);

$pdf->SetFont('Arial','',8);
$pdf->FancyTable($w1,$header1,$data1,"v");
$pdf->Output();



?>

</body>
</html>