<?php 
/*
 * Last modification  : 24/05/2005
 *
 * Copyright 2001-2004 Thomas Belliard, Laurent Delineau, Edouard Hue, Eric Lebrun
 *
 * This file is part of GEPI.
 *
 * GEPI is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * GEPI is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with GEPI; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

// Begin standart header
$titre_page = "Gestion des connexions";

// Global configuration file
require_once("../secure/connect.inc.php");
require_once("../lib/global.inc");
// Database
require_once("../lib/mysql.inc");
// Settings
require_once("../lib/settings.inc");
// Load settings
if (!loadSettings()) {
    die("Erreur chargement settings");
}
// Session related functions
require_once("../lib/session.inc");

// Resume session
$resultat_session = resumeSession();
if ($resultat_session == 'c') {
    header("Location: ../utilisateurs/mon_compte.php?change_mdp=yes");
    die();
} else if ($resultat_session == '0') {
    header("Location: ../logout.php?auto=1");
    die();
};
include "../lib/share.inc.php";
if (!checkAccess()) {
    header("Location: ../logout.php?auto=1");
    die();
}

// Enregistrement de la dure de conservation des donnes
if (isset($_POST['duree'])) {
    if (!saveSetting(("duree_conservation_logs"), $_POST['duree'])) {
        $msg = "Erreur lors de l'enregistrement de la dure de conservation des connexions !";
    } else {
        $msg = "La dure de conservation des connexions a t enregistre.<br />Le changement sera pris en compte aprs la prochaine connexion  GEPI.";
    }
}
// Load settings
if (!loadSettings()) {
    die("Erreur chargement settings");
}

// Suppression du journal de connexion
if (isset($_POST['valid_sup_logs']) ) {
    $sql = "delete from log where END < now()";
    $res = sql_query($sql);
    if ($res) {
       $msg = "La suppression des entres dans le journal de connexion a t effectue.";
    } else {
       $msg = "Il y a eu un problme lors de la suppression des entres dans le journal de connexion.";
    }
}

// Changement de mot de passe obligatoire
if (isset($_POST['valid_chgt_mdp'])) {
    $sql = "update utilisateurs set change_mdp='y' where login != '".$_SESSION['login']."'";
    $res = sql_query($sql);
    if ($res) {
       $msg = "La demande de changement obligatoire de mot de passe a t enregistre.";
    } else {
       $msg = "Il y a eu un problme lors de l'enregistrement de la demande de changement obligatoire de mot de passe.";
    }
}

//Activation / dsactivation du login
if (isset($_POST['disable_login'])) {
    if (!saveSetting("disable_login", $_POST['disable_login'])) {
        $msg = "Il y a eu un problme lors de l'enregistrement du paramtre d'activation/dsactivation des connexions.";
    } else {
        $msg = "l'enregistrement du paramtre d'activation/dsactivation des connexions a t effectu avec succs.";
    }
}

// End standart header
require_once("../lib/header.inc");

isset($mode_navig);
$mode_navig = isset($_POST["mode_navig"]) ? $_POST["mode_navig"] : (isset($_GET["mode_navig"]) ? $_GET["mode_navig"] : NULL);
if ($mode_navig == 'accueil') {
    $retour = "../accueil.php";
} else {
    $retour = "index.php";
}

echo "<p class=bold>|<a href=\"".$retour."\">Retour</a>|</p>";

//
// Affichage des personnes connectes
//
echo "<h3 class='gepi'>Utilisateurs connects en ce moment</h3>";
echo "<div title=\"Utilisateurs connects\">";
echo "<ul>";
// compte le nombre d'enregistrement dans la table
$sql = "select u.login, concat(u.prenom, ' ', u.nom) utilisa, u.email from log l, utilisateurs u where (l.LOGIN = u.login and l.END > now())";

$res = sql_query($sql);
if ($res) {
    for ($i = 0; ($row = sql_row($res, $i)); $i++)
    {
    echo("<li>" . $row[1]. " | <a href=\"mailto:" . $row[2] . "\">Envoyer un mail</a> | <a href=\"../utilisateurs/change_pwd.php?user_login=" . $row[0] . "\">Dconnecter en changeant le mot de passe</a></li>");
    }
}
?>
</ul>
</div>

<hr class="header" style="margin-top: 32px; margin-bottom: 24px;"/>
<?php
//
// Activation/dsactivation des connexions
//
echo "<h3 class='gepi'>Activation/dsactivation des connexions</h3>";
echo "<p><b>ATTENTION : </b>En dsactivant les connexions, vous rendez impossible la connexion au site pour les utilisateurs, hormis les administrateurs. De plus, les utilisateurs actuellement connects sont automatiquement dconnects.</p>";
echo "<form action=\"gestion_connect.php\" name=\"form_acti_connect\" method=\"post\">";
echo "<input type='radio' name='disable_login' value='yes' id='label_1'";
if (getSettingValue("disable_login")=='yes') echo " checked ";
echo "> <label for='label_1'>Dsactiver les connexions</label>";

echo "<br><input type='radio' name='disable_login' value='no' id='label_2'";
if (getSettingValue("disable_login")=='no') echo " checked ";
echo "> <label for='label_2'>Activer les connexions</label>";

echo "<center><input type=\"submit\" name=\"valid_acti_mdp\" value=\"Valider\"/></center>";
echo "</form>
<hr class=\"header\" style=\"margin-top: 32px; margin-bottom: 24px;\"/>";

//
// Changement du mot de passe obligatoire
//
echo "<h3 class='gepi'>Changement du mot de passe obligatoire lors de la prochaine connexion</h3>";
echo "<p><b>ATTENTION : </b>En validant le bouton ci-dessous, <b>tous les utilisateurs</b> seront amens  changer leur mot de passe lors de leur prochaine connexion.</p>";
echo "<form action=\"gestion_connect.php\" name=\"form_chgt_mdp\" method=\"post\">";
echo "<center><input type=\"submit\" name=\"valid_chgt_mdp\" value=\"Valider\" onclick=\"return confirmlink(this, 'tes-vous sr de vouloir forcer le changement de mot de passe de tous les utilisateurs ?', 'Confirmation')\" /></center>";
echo "<input type=hidden name=mode_navig value='$mode_navig'>";
echo "</form>
<hr class=\"header\" style=\"margin-top: 32px; margin-bottom: 24px;\"/>";
//
// Dure de conservation des logs
//
echo "<h3 class='gepi'>Dure de conservation des connexions</h3>";
echo "<p>Conformment  la loi loi informatique et libert 78-17 du 6 janvier 1978, la dure de conservation de ces donnes doit tre dtermine et proportionne aux finalits de leur traitement.
Cependant par scurit, il est conseill de conserver une trace des connexions sur un laps de temps suffisamment long.
</p>";
echo "<form action=\"gestion_connect.php\" name=\"form_chgt_duree\" method=\"post\">";
echo "Dure de conservation des informations sur les connexions : <select name=\"duree\" size=\"1\">";
echo "<option ";
$duree = getSettingValue("duree_conservation_logs");
if ($duree == 30) echo "selected";
echo " value=30>Un mois</option>";
echo "<option ";
if ($duree == 60) echo "selected";
echo " value=60>Deux mois</option>";
echo "<option ";
if ($duree == 183) echo "selected";
echo " value=183>Six mois</option>";
echo "<option ";
if ($duree == 365) echo "selected";
echo " value=365>Un an</option>";
echo "</select>";
echo "<input type=\"submit\" name=\"Valider\" value=\"Enregistrer\" />";
echo "<input type=hidden name=mode_navig value='$mode_navig'>";
echo "</form>";
//
// Nettoyage du journal
//
?>
<hr class="header" style="margin-top: 32px; margin-bottom: 24px;"/>
<h3 class='gepi'>Suppression de toutes les entres du journal de connexion</h3>
<?php
$sql = "select START from log order by END";
$res = sql_query($sql);
$logs_number = sql_count($res);
$row = sql_row($res, 0);
$annee = substr($row[0],0,4);
$mois =  substr($row[0],5,2);
$jour =  substr($row[0],8,2);
echo "<p>Nombre d'entres actuellement prsentes dans le journal de connexion : <b>".$logs_number."</b><br />";
echo "Actuellement, le journal contient l'historique des connexions depuis le <b>".$jour."/".$mois."/".$annee."</b></p>";
echo "<p><b>ATTENTION : </b>En validant le bouton ci-dessous, <b>toutes les entres du journal de connexion (hormis les connexions en cours) seront supprimes</b>.</p>";
echo "<form action=\"gestion_connect.php\" name=\"form_sup_logs\" method=\"post\">";
echo "<center><input type=\"submit\" name=\"valid_sup_logs\" value=\"Valider\" onclick=\"return confirmlink(this, 'tes-vous sr de vouloir supprimer tous l\'historique du journal de connexion ?', 'Confirmation')\" /></center>";
echo "<input type=hidden name=mode_navig value='$mode_navig'>";
echo "</form>";

//
// Journal des connections
//
?>
<hr class="header" style="margin-top: 32px; margin-bottom: 24px;"/>
<?php
if (isset($_POST['duree2'])) {
   $duree2 = $_POST['duree2'];
} else {
   $duree2 = '2';
}
switch( $duree2 ) {
   case 2:
   $display_duree="deux jours";
   break;
   case 7:
   $display_duree="une semaine";
   break;
   case 15:
   $display_duree="quinze jours";
   break;
   case 30:
   $display_duree="un mois";
   break;
   case 60:
   $display_duree="deux mois";
   break;
   case 183:
   $display_duree="six mois";
   break;
   case 365:
   $display_duree="un an";
   break;
   case 'all':
   $display_duree="le dbut";
   break;
}

echo "<h3 class='gepi'>Journal des connexions depuis <b>".$display_duree."</b></H3>";

?>
<div title="Journal des connections" style="width: 100%;">

<p>Les dates apparaissant en rouge marquent les utilisateurs dconnects automatiquement aprs un trop long dlai d'inactivit.<br />Les lignes apparaissant en vert marquent les utilisateurs actuellement connects.</p>
<?php
echo "<form action=\"gestion_connect.php\" name=\"form_affiche_log\" method=\"post\">";
echo "Afficher le journal des connexions depuis : <select name=\"duree2\" size=\"1\">";
echo "<option ";
if ($duree2 == 2) echo "selected";
echo " value=2>Deux jours</option>";
echo "<option ";
if ($duree2 == 7) echo "selected";
echo " value=7>Une semaine</option>";
echo "<option ";
if ($duree2 == 15) echo "selected";
echo " value=15 >Quinze jours</option>";
echo "<option ";
if ($duree2 == 30) echo "selected";
echo " value=30>Un mois</option>";
echo "<option ";
if ($duree2 == 60) echo "selected";
echo " value=60>Deux mois</option>";
echo "<option ";
if ($duree2 == 183) echo "selected";
echo " value=183>Six mois</option>";
echo "<option ";
if ($duree2 == 365) echo "selected";
echo " value=365>Un an</option>";
echo "<option ";
if ($duree2 == 'all') echo "selected";
echo " value='all'>Le dbut</option>";
echo "</select>";
echo "<input type=\"submit\" name=\"Valider\" value=\"Valider\" /><br /><br />";
echo "<input type=hidden name=mode_navig value='$mode_navig'>";
echo "</form>";

?>


<table class="col" style="width: 90%; margin-left: auto; margin-right: auto; margin-bottom: 32px;" cellpadding="5" cellspacing="0">
    <tr>
        <th class="col">Identifiant</th>
        <th class="col">Dbut session</th>
        <th class="col">Fin session</th>
        <th class="col">Adresse IP et nom de la machine cliente</th>
        <th class="col">Navigateur</th>
        <th class="col">Provenance</th>
    </tr>
<?php
$requete = '';
if ($duree2 != 'all') $requete = "and l.START > now() - interval " . $duree2 . " day";
$sql = "select u.login, concat(prenom, ' ', nom) utili, l.START, l.SESSION_ID, l.REMOTE_ADDR, l.USER_AGENT, l.REFERER,
 l.AUTOCLOSE, l.END, u.email from log l, utilisateurs u where l.LOGIN = u.login ".$requete." order by START desc";

// $row[0] : log.LOGIN
// $row[1] : USER
// $row[2] : START
// $row[3] : SESSION_ID
// $row[4] : REMOTE_ADDR
// $row[5] : USER_AGENT
// $row[6] : REFERER
// $row[7] : AUTOCLOSE
// $row[8] : END
// $row[9] : EMAIL

$day_now   = date("d");
$month_now = date("m");
$year_now  = date("Y");
$hour_now  = date("H");
$minute_now = date("i");
$now = mktime($hour_now, $minute_now, 0, $month_now, $day_now, $year_now);

$res = sql_query($sql);
if ($res) {
    for ($i = 0; ($row = sql_row($res, $i)); $i++)
    {
        $annee_f = substr($row[8],0,4);
        $mois_f =  substr($row[8],5,2);
        $jour_f =  substr($row[8],8,2);
        $heures_f = substr($row[8],11,2);
        $minutes_f = substr($row[8],14,2);
        $secondes_f = substr($row[8],17,2);
        $date_fin_f = $jour_f."/".$mois_f."/".$annee_f."  ".$heures_f." h ".$minutes_f;

        $end_time = mktime($heures_f, $minutes_f, $secondes_f, $mois_f, $jour_f, $annee_f);


        $annee_b = substr($row[2],0,4);
        $mois_b =  substr($row[2],5,2);
        $jour_b =  substr($row[2],8,2);
        $heures_b = substr($row[2],11,2);
        $minutes_b = substr($row[2],14,2);
        $secondes_b = substr($row[2],17,2);
        $date_debut = $jour_b."/".$mois_b."/".$annee_b."  ".$heures_b." h ".$minutes_b;

        $temp1 = '';
        $temp2 = '';
        if ($end_time > $now) {
            $temp1 = "<font color=green>";
            $temp2 = "</font>";
        }

        echo("<tr>\n");
        echo "<td class=\"col\">".$temp1."<a href=\"mailto:" .$row[9]. "\">".$row[1] . "</a>".$temp2."</td>\n";
        echo "<td class=\"col\">".$temp1.$date_debut.$temp2."</td>";
        if ($end_time > $now) {
            echo "<td class=\"col\" style=\"color: green;\">" .$date_fin_f. "</td>";
        } else if ($row[7]) {
            echo "<td class=\"col\" style=\"color: red;\">" .$date_fin_f. "</td>";
        } else {
            echo "<td class=\"col\">" .$date_fin_f. "</td>";
        }
        echo "<td class=\"col\">".$temp1.$row[4]." - ".@gethostbyaddr($row[4]).$temp2. "</td>";
        echo "<td class=\"col\">".$temp1. detect_browser($row[5]) .$temp2. "</td>";
        echo "<td class=\"col\">".$temp1. $row[6] .$temp2. "</td>";
    }
}

?>
</table>
</div>


</body>
</html>