<?php
/*
 * Last modification  : 16/05/2005
 *
 * Copyright 2001, 2005 Thomas Belliard, Laurent Delineau, Edouard Hue, Eric Lebrun
 *
 * This file is part of GEPI.
 *
 * GEPI is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * GEPI is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with GEPI; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

// Vrification de la bonne installation de GEPI
require_once("./utilitaires/verif_install.php");
// Global configuration file
require_once("./secure/connect.inc.php");
require_once("./lib/global.inc");
// Database
require_once("./lib/mysql.inc");
// Settings
require_once("./lib/settings.inc");
// Load settings
if (!loadSettings()) {
    die("Erreur chargement settings");
}
// Session related functions
require_once("./lib/session.inc");


// User wants to be authentified
if (isset($_POST['login']) && isset($_POST['password'])) {
	$_POST['login'] = addslashes($_POST['login']);
   $temp = openSession($_POST['login'], $_POST['password']);
   if ($temp=="1") {
        // on efface les logs conformment  la dure de conservation des logs
        sql_query("delete from log where START < now() - interval " . getSettingValue("duree_conservation_logs") . " day and END < now()");
        // On renvoie  la page d'accueil
        header("Location: ./accueil.php");
        die();
    } else if ($temp=="c") {
        header("Location: ./utilisateurs/mon_compte.php?change_mdp=yes&retour=accueil#changemdp");
        die();
    } else if ($temp=="dl") {
        $message = "Site momentanment inaccessible.";
    } else {
        $message = "Identifiant ou mot de passe incorrect";
    }
} else {
    // on ferme une ventuelle session ouverte prcdemment
    closeSession($_GET['auto']);
}
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html lang="fr">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
<META HTTP-EQUIV="Pragma" CONTENT="no-cache">
<META HTTP-EQUIV="Cache-Control" CONTENT="no-cache">
<META HTTP-EQUIV="Expires" CONTENT="0">
<title><?php echo getSettingValue("gepiSchoolName"); ?> : base de donnes lves | Identifiez vous...</title>
<link rel="stylesheet" type="text/css" href="./style.css" />
<script src="lib/functions.js" type="text/javascript" language="javascript"></script>
<LINK REL="SHORTCUT ICON" href="./favicon.ico"></head>
<body>
<h1 class='gepi'>Gestion et visualisation graphique des rsultats scolaires</h1>
<h2 class='gepi'><?php echo getSettingValue("gepiSchoolName"). " - anne scolaire " . getSettingValue("gepiYear"); ?></h2>
<div class="center">

<p>En raison du caractre personnel du contenu, ce site est soumis  des restrictions utilisateurs. Pour accder aux outils de gestion, identifiez-vous :</p>
<?php
//On vrifie si le module est activ
if (getSettingValue("active_cahiers_texte")=='y') {
   echo "<a href=\"./public/index.php\">Consulter les cahiers de texte</a> (tout public)";
}
if ((getSettingValue("disable_login"))=='yes') echo "<br><br><font color=\"red\" size=\"+1\">Le site est en cours de maintenance et temporairement inaccessible.<br />Veuillez nous excuser de ce drangement et ressayer de vous connecter ultrieurement.</font><br>";

?>
<form action="login.php" method="post" style="width: 100%; margin-top: 24px; margin-bottom: 48px;">
<?php
if (isset($message)) echo("<p><font color=red>" . $message . "</font></p>");
?>
<fieldset style="padding-top: 8px; padding-bottom: 8px; width: 40%; margin-left: auto; margin-right: auto;">
<legend style="font-variant: small-caps;">Identification</legend>
<table style="width: 100%; border: 0;" cellpadding="5" cellspacing="0">
  <tr>
    <td style="text-align: right; width: 40%; font-variant: small-caps;"><label for="login">Identifiant</label></td>
    <td style="text-align: center; width: 60%;"><input type="text" name="login" size="16"></td>
  </tr>
  <tr>
    <td style="text-align: right; width: 40%; font-variant: small-caps;"><label for="password">Mot de passe</label></td>
    <td style="text-align: center; width: 60%;"><input type="password" name="password" size="16" onkeypress="capsDetect(arguments[0]);"></td>
  </tr>
</table>
<input type="submit" name="submit" value="Valider" style="font-variant: small-caps;">
</fieldset>
</form>
</div>
<div class="center" style="margin-bottom: 32px;">
<p><a href="javascript:centrerpopup('gestion/info_vie_privee.php',700,480,'scrollbars=yes,statusbar=no,resizable=yes')">Informations vie prive</a></p>
<p><a href="mailto:<?php echo getSettingValue("gepiAdminAdress"); ?>">[Contacter l'administrateur]</a></p>
</div>

<div class="center" style="width: 200px; margin-bottom: 32px;">
<a href='http://www.php.net'><img src="./php4.gif" alt="Powered by php4" width="88" height="31" style="border: 0; float: left;"></a><a href='http://www.mysql.org'><img src="./mysqllogo.gif" alt="Powered by MySQL" width="88" height="31" style="border: 0; float: right;"></a><br />
</div>

<div class="center">
<p class="small">
<a href="http://gepi.mutualibre.org">GEPI : Outil de gestion, de suivi, et de visualisation graphique des rsultats scolaires (coles, collges, lyces)</a><br />
Copyright &copy; 2001-2005
<?php
reset($gepiAuthors);
$i = 0;
while (list($name, $adress) = each($gepiAuthors)) {
	if ($i != "0") echo ", ";
    echo("<a href=\"mailto:" . $adress . "\">" . $name . "</a> ");
	$i++;
}

?>
</p>
</div>
</body>
</html>