<?php
/*
 * Copyright 2001, 2002 Thomas Belliard, Laurent Delineau, Edouard Hue, Eric Lebrun, Christian Chapel
 *
 * This file is part of GEPI.
 *
 * GEPI is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * GEPI is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with GEPI; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

// Global configuration file
require_once("../secure/connect.inc.php");
require_once("../lib/global.inc");
// Database
require_once("../lib/mysql.inc");
// Settings
require_once("../lib/settings.inc");
// Load settings
if (!loadSettings()) {
    die("Erreur chargement settings");
}
// Session related functions
require_once("../lib/session.inc");

// Resume session
$resultat_session = resumeSession();
if ($resultat_session == 'c') {
header("Location: ../utilisateurs/mon_compte.php?change_mdp=yes");
die();
} else if ($resultat_session == '0') {
    header("Location: ../logout.php?auto=1");
die();
};
// Check access
include "../lib/share.inc.php";
if (!checkAccess()) {
    header("Location: ../logout.php?auto=1");
die();
}
$msg = '';
if (isset($_POST['activer'])) {
    if (!saveSetting("active_module_trombinoscopes", $_POST['activer'])) $msg = "Erreur lors de l'enregistrement du paramtre activation/dsactivation !";
}

if (isset($_POST['is_posted']) and ($msg=='')) $msg = "Les modifications ont t enregistres !";
// header
$titre_page = "Gestion du module trombinoscope";
require_once("../lib/header.inc");
?>
<link rel="stylesheet" href="../mod_absences/styles/mod_absences.css">
<p class=bold>
|<a href="../accueil_modules.php">Retour</a>|</p>
<H2>Configuration gnrale</H2>
<i>La dsactivation du module trombinoscope n'entrane aucune suppression des donnes. Lorsque le module est dsactiv, il n'y a pas d'accs au module.</i>
<br />
<form action="trombinoscopes_admin.php" name="form1" method="post">
<input type="radio" name="activer" value="y" <?php if (getSettingValue("active_module_trombinoscopes")=='y') echo " checked"; ?> />&nbsp;Activer le module trombinoscope<br />
<input type="radio" name="activer" value="n" <?php if (getSettingValue("active_module_trombinoscopes")=='n') echo " checked"; ?> />&nbsp;Dsactiver le module trombinoscope
<input type="hidden" name="is_posted" value="1">
<div class="centre"><input type="submit" value="Enregistrer" style="font-variant: small-caps;"/></div>
</form>
</body>
</html>