<?php
/*
 * Last modification  : 09/03/2005
 *
 * Copyright 2001, 2005 Thomas Belliard, Laurent Delineau, Edouard Hue, Eric Lebrun
 *
 * This file is part of GEPI.
 *
 * GEPI is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * GEPI is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with GEPI; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

// Global configuration file
require_once("../secure/connect.inc.php");
require_once("../lib/global.inc");
// Database
require_once("../lib/mysql.inc");
// Settings
require_once("../lib/settings.inc");
// Load settings
if (!loadSettings()) {
    die("Erreur chargement settings");
}
// Session related functions
require_once("../lib/session.inc");

// Resume session
$resultat_session = resumeSession();
if ($resultat_session == 'c') {
    header("Location: ../utilisateurs/mon_compte.php?change_mdp=yes");
    die();
} else if ($resultat_session == '0') {
    header("Location: ../logout.php?auto=1");
    die();
};

include "../lib/share.inc.php";
if (!checkAccess()) {
    header("Location: ../logout.php?auto=1");
    die();
}

//On vrifie si le module est activ
if (getSettingValue("active_observatoire")!='y') {
    die("Le module n'est pas activ.");
}

//
// Intitialisation des variables
//
unset($current_eleve_login);
$current_eleve_login = isset($_POST["current_eleve_login"]) ? $_POST["current_eleve_login"] : (isset($_GET["current_eleve_login"]) ? $_GET["current_eleve_login"] : NULL);
unset($id_classe);
$id_classe = isset($_POST["id_classe"]) ? $_POST["id_classe"] : (isset($_GET["id_classe"]) ? $_GET["id_classe"] : NULL);
unset($obs_periode);
$obs_periode = isset($_POST["obs_periode"]) ? $_POST["obs_periode"] : (isset($_GET["obs_periode"]) ? $_GET["obs_periode"] : NULL);
unset($modifications);
$modifications = isset($_POST["modifications"]) ? $_POST["modifications"] : (isset($_GET["modifications"]) ? $_GET["modifications"] : NULL);

$periode_obs_nom = mysql_result(mysql_query("SELECT nom_periode FROM periodes_observatoire WHERE (id_classe='$id_classe' AND num_periode='$obs_periode')"),0);
$periode_affiliee = mysql_result(mysql_query("SELECT periode_affiliee FROM periodes_observatoire WHERE (id_classe='$id_classe' AND num_periode='$obs_periode')"),0);
//
// Test de verrouillage de la priode
//
$call_ver_info = mysql_result(mysql_query("SELECT verouiller FROM periodes_observatoire WHERE (num_periode='$obs_periode' AND id_classe='$id_classe')"),0);
//
// lecture des informations sur l'observatoire
//
$call_champ_query = mysql_query("SELECT * FROM observatoire_config WHERE nom_champ = 'observatoire_champ' order by 'num'");
$nb_champ = mysql_num_rows($call_champ_query) ;

$call_niveaux = mysql_query("SELECT * FROM observatoire_niveaux");
$nb_niveaux = mysql_num_rows($call_niveaux);

$appel_liste_matieres = mysql_query("SELECT DISTINCT m.matiere FROM matieres m,j_classes_matieres_professeurs j WHERE (m.matiere = j.id_matiere AND j.id_classe='$id_classe') ORDER BY j.priorite");
$nombre_matieres = mysql_num_rows($appel_liste_matieres);

if (isset($_POST['enregistrer'])) {
    $n = 0;
    while ($n < $nb_champ) {
        $m=$n+1;
        $temp = $current_eleve_login."_".$n;
        if (isset($_POST[$temp])) {
            $reg_eleve = $_POST[$temp];
            $test_eleve_avis_query = mysql_query("SELECT * FROM observatoire_suivi WHERE (login='$current_eleve_login' AND periode='$obs_periode' and id_champ='$m')");
            $test = mysql_num_rows($test_eleve_avis_query);
            $reg_eleve = corriger_caracteres($reg_eleve);
            if ($test != "0") {
                $register = mysql_query("UPDATE observatoire_suivi SET content='$reg_eleve' WHERE (login='$current_eleve_login' AND periode='$obs_periode' and id_champ='$m')");
            } else {
                $register = mysql_query("INSERT INTO observatoire_suivi SET content='$reg_eleve',login='$current_eleve_login',periode='$obs_periode',id_champ='$m'");
            }
            if (!$register) {$msg = "Erreur lors de l'enregistrement des donnes de la priode $obs_periode";}
        }
        $n++;
    }
    
    $j = 0;
    while ($j < $nombre_matieres) {
        $current_matiere = mysql_result($appel_liste_matieres, $j, "matiere");
        // On regarde si l'lve suit bien cette matire ou pas
        //-----------------------------
        $niveau_test = @mysql_num_rows(mysql_query("SELECT niveau FROM observatoire WHERE (login='$current_eleve_login' and matiere='$current_matiere' and periode='$obs_periode')"));
        $temp = $current_eleve_login."_".$current_matiere."_niveau";
        if (isset($_POST[$temp])) {
            $reg_niveau = $_POST[$temp];
            if ($niveau_test == 0) {
                $reg = mysql_query("INSERT INTO observatoire SET login='$current_eleve_login', matiere='$current_matiere', periode='$obs_periode', niveau='$reg_niveau'");
            } else {
                $reg = mysql_query("UPDATE observatoire SET niveau='$reg_niveau' WHERE (login='$current_eleve_login' and matiere='$current_matiere' and periode='$obs_periode')");
            }
        }
            
        $comment_test = @mysql_num_rows(mysql_query("SELECT comment FROM observatoire_comment WHERE (login='$current_eleve_login' and matiere='$current_matiere')"));
        $temp = $current_eleve_login."_".$current_matiere;
        if (isset($_POST[$temp])) {
            $reg_comment = $_POST[$temp];
            $reg_comment = corriger_caracteres($reg_comment);
            if ($comment_test == 0) {
                $reg = mysql_query("INSERT INTO observatoire_comment SET login='$current_eleve_login', matiere='$current_matiere', comment='$reg_comment'");
            } else {
                $reg = mysql_query("UPDATE observatoire_comment SET comment='$reg_comment' WHERE (login='$current_eleve_login' and matiere='$current_matiere')");
            }
        }
        $j++;
    }
    unset($modifications);
    $affiche_message = 'yes';
}
$message_enregistrement = "Les modifications ont t enregistres !";
$j = 0;
$message_aide = "Aide sur le codage :\\n";
while ($j < $nb_niveaux) {
    $niveau_id = mysql_result($call_niveaux, $j, "id");
    $niveau_nom[$niveau_id] = mysql_result($call_niveaux, $j, "nom");
    $niveau_couleur[$niveau_id] = mysql_result($call_niveaux, $j, "couleur");
    $niveau_comment[$niveau_id] = mysql_result($call_niveaux, $j, "comment");
    $temp1 = str_replace ( "'"  , "\\'"  , $niveau_nom[$niveau_id]);
    $temp2 = str_replace ( "'"  , "\\'"  , $niveau_comment[$niveau_id]);
    $message_aide = $message_aide.$temp1." : ".$temp2."\\n";
    $j++;
}
$message_aide = $message_aide." - : Champ non renseign\\n";
$themessage  = 'Il semble que des avis aient t modifis. Voulez-vous vraiment quitter sans enregistrer ?';

//
//
//
//**************** EN-TETE *****************
$titre_page = "Observatoire | Fiche lve";
require_once("../lib/header.inc");
//**************** FIN EN-TETE *****************
?>
<script type="text/javascript" language="javascript">
change = 'no';
</script>
<?php
echo "<noscript>";
echo "<p><b>Avertissement : L'aide sur le codage n'est pas disponible car le langage javascript est actuellement dsactiv dans votre navigateur. Pour un confort optimal d'utilisation, nous vous recommandons d'activer javascript.</b></p>";
echo "</noscript>";
echo "<p class=bold>";
echo " |<a href='visu_observatoire.php?id_classe=$id_classe&obs_periode=$obs_periode'  onclick=\"return confirm_abandon (this, change, '$themessage')\">Retour  la classe</a>|<a href=\"javascript:alert('$message_aide')\">Lgende</a>|";
if ($obs_periode > 1) {
    $_GET['obs_periode_s'] = $obs_periode-1;
    echo " <a href='fiche_eleve.php?id_classe=$id_classe&current_eleve_login=$current_eleve_login&obs_periode=$_GET[obs_periode_s]'>Priode prcdente</a>|";
}
$call_max_periodes_obs = mysql_query("SELECT max(num_periode) max FROM periodes_observatoire WHERE (id_classe='$id_classe')");
$max_obs_periode = mysql_result($call_max_periodes_obs, 0, "max");
if ($obs_periode < $max_obs_periode) {
    $_GET['obs_periode_p'] = $obs_periode+1;
    echo " <a href='fiche_eleve.php?id_classe=$id_classe&current_eleve_login=$current_eleve_login&obs_periode=$_GET[obs_periode_p]' onclick=\"return confirm_abandon (this, change, '$themessage')\">Priode suivante</a>|";
}    
//
// On effectue une srie de tests pour savoir si l'utilisateur a le droit d'ffectuer des modifs sur la page
//
$autoris_modif = 'no';
$n = 0;
while (($n < $nb_champ) and ($autoris_modif == 'no')) {
    $m=$n+1;
    $call_prof_resp = mysql_query("SELECT * FROM observatoire_j_resp_champ WHERE id_champ='$m'");
    $result_test = @mysql_num_rows($call_prof_resp);
    if ($result_test == 0) {
        //
        // Modif possibles uniquement pour les champs dont l'utilisateur est prof de suivi
        //
        $call_test_suivi = mysql_query("SELECT * FROM j_eleves_professeurs WHERE (professeur='" . $_SESSION['login'] . "' AND login = '$current_eleve_login')");
        $nb_test_suivi = mysql_num_rows($call_test_suivi);
        if ($nb_test_suivi !=0) {
            $autoris_modif = 'yes';
        }
    } else {
        $login_resp = mysql_result($call_prof_resp,0,'login');
        if ($login_resp == $_SESSION['login']) {
            //
            // Accs  tous les champs
            //
            $autoris_modif = 'yes';
        }
    }
    $n++;
}
$j = 0;    
while (($j < $nombre_matieres) and ($autoris_modif == 'no')) {
    $current_matiere = mysql_result($appel_liste_matieres, $j, "matiere");
    $current_eleve_use_matiere_query = mysql_query("SELECT * FROM j_eleves_matieres WHERE (login='$current_eleve_login' AND matiere='$current_matiere' AND periode='$periode_affiliee')");
    $count = mysql_num_rows($current_eleve_use_matiere_query);
    if ($count == "0") {
        $call_test_prof = mysql_query("SELECT * FROM j_classes_matieres_professeurs WHERE (id_professeur='".$_SESSION['login']."' and id_classe='$id_classe' and id_matiere = '$current_matiere')");
        if (mysql_num_rows($call_test_prof) != 0) {
            $autoris_modif = 'yes';
        }
    }
    $j++;
}

//
// Possibilit de modifier la fiche si la priode est non close et si l'utilisateur  quelque chose  modifier
//
if (($call_ver_info != "O") and ($autoris_modif == 'yes')) {
    ?>
    <form enctype="multipart/form-data" action="fiche_eleve.php" name="formulaire" method=post>
    <input type=hidden name=id_classe value=<?php echo "$id_classe";?>>
    <input type=hidden name=obs_periode value=<?php echo "$obs_periode";?>>
    <input type=hidden name=current_eleve_login value=<?php echo "$current_eleve_login";?>>
    <?php
    if (isset($modifications)) {
        echo "<input type=submit value=\"Enregistrer la fiche\">";
        echo "<input type=hidden name=enregistrer value=\"yes\">";
    } else {
        echo "<input type=submit value=\"Modifier la fiche\">";
        echo "<input type=hidden name=modifications value=\"yes\">";
    }
} else {
    if ($call_ver_info == "O") {
        echo "<P><b>La Priode est close : vous ne pouvez pas effectuer de modifications.</b></p>";
    }
}

//
// Donnes concernant l'lve
//
$data_eleve = mysql_query("SELECT * FROM eleves WHERE login='$current_eleve_login'");
$current_eleve_nom = mysql_result($data_eleve, 0, "nom");
$current_eleve_prenom = mysql_result($data_eleve, 0, "prenom");
$current_eleve_sexe = mysql_result($data_eleve, 0, "sexe");
$current_eleve_naissance = mysql_result($data_eleve, 0, "naissance");
$current_eleve_naissance = affiche_date_naissance($current_eleve_naissance);
$data_etab = mysql_query("SELECT e.* FROM etablissements e, j_eleves_etablissements j WHERE (j.id_eleve ='$current_eleve_login' AND e.id = j.id_etablissement) ");
$current_eleve_etab_id = @mysql_result($data_etab, 0, "id");
$current_eleve_etab_nom = @mysql_result($data_etab, 0, "nom");
$current_eleve_etab_niveau = @mysql_result($data_etab, 0, "niveau");
$current_eleve_etab_type = @mysql_result($data_etab, 0, "type");
$current_eleve_etab_cp = @mysql_result($data_etab, 0, "cp");
$current_eleve_etab_ville = @mysql_result($data_etab, 0, "ville");
if ($current_eleve_etab_niveau == "lycee") {$current_eleve_etab_niveau = "lyce";}
if ($current_eleve_etab_niveau == "college") {$current_eleve_etab_niveau = "collge";}
if ($current_eleve_etab_niveau == "lprof") {$current_eleve_etab_niveau = "lyc. prof.";}
if ($current_eleve_etab_niveau == "tous_niveaux") {$current_eleve_etab_niveau = "tous niveaux";}
if ($current_eleve_etab_niveau == "aucun") {$current_eleve_etab_niveau = "";}
if ($current_eleve_etab_cp == 0) {$current_eleve_etab_cp = '';}
if ($current_eleve_etab_type == 'prive') {$current_eleve_etab_type = 'priv';}
if ($current_eleve_etab_type == 'aucun') {$current_eleve_etab_type = '';}

$classe_eleve = mysql_query("SELECT * FROM classes WHERE id='$id_classe'");
$current_eleve_classe = mysql_result($classe_eleve, 0, "classe");

$regime_doublant_eleve = mysql_query("SELECT * FROM j_eleves_regime WHERE login = '$current_eleve_login'");
$current_eleve_regime = mysql_result($regime_doublant_eleve, 0, "regime");
$current_eleve_doublant = mysql_result($regime_doublant_eleve, 0, "doublant");
$data_profsuivi = mysql_query("SELECT u.* FROM utilisateurs u, j_eleves_professeurs j WHERE (j.login='$current_eleve_login' AND j.professeur = u.login AND j.id_classe='$id_classe') ");
$nb_prof_suivi = mysql_num_rows($data_profsuivi);
$current_eleve_profsuivi_nom = @mysql_result($data_profsuivi, 0, "nom");
$current_eleve_profsuivi_prenom = @mysql_result($data_profsuivi, 0, "prenom");

//-------------------------------
// On affiche l'en-tte : Les donnes de l'lve
//-------------------------------
echo "<p class='small'><span class='bold'>$current_eleve_nom $current_eleve_prenom</span>";
if ($current_eleve_sexe == "M") {
    echo ", n le $current_eleve_naissance";
    } else {
    echo ", ne le $current_eleve_naissance";
}
if ($current_eleve_regime == "d/p") {echo ",&nbsp;demi-pensionnaire";}
if ($current_eleve_regime == "ext.") {echo ",&nbsp;externe";}
if ($current_eleve_regime == "int.") {echo ",&nbsp;interne";}
if ($current_eleve_doublant == 'R') {
    if ($current_eleve_sexe == "M") {
        echo ", redoublant";
    } else {
        echo ", redoublante";
    }
}
echo "&nbsp;&nbsp;-&nbsp;&nbsp;Classe de $current_eleve_classe, anne scolaire ".getSettingValue("gepiYear")."<br />";

if ($current_eleve_etab_nom != '') {
    echo "Etablissement d'origine : ";
    if ($current_eleve_etab_id != '990') {
        echo "$current_eleve_etab_niveau $current_eleve_etab_type, $current_eleve_etab_nom ($current_eleve_etab_cp, $current_eleve_etab_ville)<br />";
    } else {
        echo "hors de France<br />";
    }
}
echo "<b>Observatoire - $periode_obs_nom";
if ($nb_prof_suivi != 0) {
    echo " - ".ucfirst(getSettingValue("gepi_prof_suivi"))." : $current_eleve_profsuivi_prenom $current_eleve_profsuivi_nom";
}
echo "</b></p>";

//
//-------------------------------
// Fin de l'en-tte

// On initialise le tableau :

$larg_tab = 680;
$larg_col1 = 100;
$larg_col2 = 25;
$larg_col3 = $larg_tab - $larg_col1 - $larg_col2;
echo "<table width=\"$larg_tab\" border=1 cellspacing=1 cellpadding=1>";
//echo "<tr><td width=\"$larg_col1\"><p class='small'>&nbsp;</p></td>";
//echo "<td width=\"$larg_col2\" ALIGN=CENTER><p class='small'>Obs.</p></td>";
//echo "<td width=\"$larg_col3\"><p  class='small'>Commentaire</p></td></tr>";

//
// lecture des info lies au suivi
//
$n = 0;
while ($n < $nb_champ) {
    $m=$n+1;
    $acces_ecriture = 'no';
    $champ = mysql_result($call_champ_query, $n, 'content');
    echo "<tr><td><p class='small'><b>$champ</b>";
    $current_eleve_avis_query= mysql_query("SELECT * FROM observatoire_suivi WHERE (login='$current_eleve_login' AND periode='$obs_periode' and id_champ='$m')");
    $current_eleve_content = @mysql_result($current_eleve_avis_query, 0, "content");
    $temp = $current_eleve_login."_".$n;

    $call_prof_resp = mysql_query("SELECT * FROM observatoire_j_resp_champ WHERE id_champ='$m'");
    $result_test = @mysql_num_rows($call_prof_resp);
    if ($result_test == 0) {
        //
        // Acces uniquement aux champs dont l'utilisateur est prof de suivi
        //
        echo "<br /><i>$current_eleve_profsuivi_nom  $current_eleve_profsuivi_prenom</i></p></td>";
        echo "<td><p class='small'>&nbsp;</p></td>";

        $call_test_suivi = mysql_query("SELECT * FROM j_eleves_professeurs WHERE (professeur='" . $_SESSION['login'] . "' AND login = '$current_eleve_login')");
        $nb_test_suivi = mysql_num_rows($call_test_suivi);
        if ($nb_test_suivi !=0) {
            $acces_ecriture = 'yes';
        }
    } else {
        $login_resp = mysql_result($call_prof_resp,0,'login');
        $data_prof = mysql_query("SELECT * FROM utilisateurs WHERE login = '$login_resp'");
        $current_eleve_profsuivi_nom = @mysql_result($data_prof, 0, "nom");
        $current_eleve_profsuivi_prenom = @mysql_result($data_prof, 0, "prenom");

        echo "<br /><i>$current_eleve_profsuivi_nom  $current_eleve_profsuivi_prenom</i></p></td>";
        echo "<td><p class='small'>&nbsp;</p></td>";
        if ($login_resp == $_SESSION['login']) {
            //
            // Accs  tous les champs
            //
            $acces_ecriture = 'yes';
        }
    }
    if (isset($modifications) and ($acces_ecriture == 'yes')  and ($call_ver_info != "O")) {
        echo "<td><p class=\"small\"><textarea name=".$temp." rows=2 cols=50 wrap='virtual' onchange=\"changement()\">".$current_eleve_content."</textarea></p></td>";
    } else {
        if ($current_eleve_content != '') {
            echo "<td><p class=\"small\">$current_eleve_content</p></td></tr>";
        } else {
            echo "<td><p class=\"small\" align='center'>-</p></td></tr>";
        }
    }
    $n++;
}
//------------------------------
// Boucle 'matire'
//------------------------------

$j = 0;
while ($j < $nombre_matieres) {
    $inser_ligne='no';
        
    // On appelle toutes les infos relatives  la matire
    $current_matiere = mysql_result($appel_liste_matieres, $j, "matiere");
    $call_profs = mysql_query("SELECT u.nom, u.prenom FROM utilisateurs u, j_classes_matieres_professeurs j WHERE ( u.login = j.id_professeur and j.id_classe='$id_classe' and j.id_matiere = '$current_matiere') ORDER BY j.ordre_prof");
    $nombre_profs = mysql_num_rows($call_profs);
    $k = 0;
    While ($k < $nombre_profs) {
        $current_matiere_professeur_nom[$k] = mysql_result($call_profs, $k, "nom");
        $current_matiere_professeur_prenom[$k] = mysql_result($call_profs, $k, "prenom");
        $k++;
    }
    $current_matiere_nom_complet_query = mysql_query("SELECT nom_complet FROM matieres WHERE matiere='$current_matiere'");
    $current_matiere_nom_complet = mysql_result($current_matiere_nom_complet_query, 0, "nom_complet");
    // Maintenant on regarde si l'lve suit bien cette matire ou pas
    //-----------------------------
    $current_eleve_use_matiere_query = mysql_query("SELECT * FROM j_eleves_matieres WHERE (login='$current_eleve_login' AND matiere='$current_matiere' AND periode='$periode_affiliee')");
    $count = mysql_num_rows($current_eleve_use_matiere_query);
    if ($count == "0") {
        echo "<tr><td ";
        echo"><p class='small'><b>$current_matiere_nom_complet</b>";
        $k = 0;
        While ($k < $nombre_profs) {
            echo "<br /><i>$current_matiere_professeur_nom[$k] $current_matiere_professeur_prenom[$k]</i>";
            $k++;
        }
        echo "</p></td>";
        $call_test_prof = mysql_query("SELECT * FROM j_classes_matieres_professeurs WHERE (id_professeur='".$_SESSION['login']."' and id_classe='$id_classe' and id_matiere = '$current_matiere')");
        $nb_test = mysql_num_rows($call_test_prof);
        $eleve_niveau = @mysql_result(mysql_query("SELECT niveau FROM observatoire WHERE (login='$current_eleve_login' AND matiere='$current_matiere' AND periode='$obs_periode')"),0);    
        if (isset($modifications) and ($nb_test != 0)  and ($call_ver_info != "O")) {
            $reg_niveau = $current_eleve_login."_".$current_matiere."_niveau";
            echo "<td ";
            if (isset($niveau_couleur[$eleve_niveau])) echo " bgcolor='$niveau_couleur[$eleve_niveau]' ";
            echo "align='center'><p class=\"small\"><select size=1 name='$reg_niveau'  onchange=\"changement()\">";
            $z=1;
            while ($z < $nb_niveaux+1) {
                echo "<option value='$z'";
                if ($eleve_niveau == $z) echo " SELECTED";
                echo "> $niveau_nom[$z]";
                $z++;
            }
            echo "</select></p></td>";
        } else {
            if ($eleve_niveau != '') {
                echo "<td bgcolor='$niveau_couleur[$eleve_niveau]' align='center'><p class=\"small\"><b>$niveau_nom[$eleve_niveau]</b></p></td>";    
            } else {
                echo "<td><p class=\"small\" align='center'>-</p></td>";    
            }
        }
        $current_comment = @mysql_result(mysql_query("SELECT comment FROM observatoire_comment WHERE (login='$current_eleve_login' and matiere='$current_matiere')"),0,'comment');
        if (isset($modifications) and ($nb_test != 0)  and ($call_ver_info != "O")) {
            $reg_comment = $current_eleve_login."_".$current_matiere;
            echo "<td><p class=\"small\"><textarea name=".$reg_comment." rows=2 cols=50 wrap='virtual' onchange=\"changement()\">".$current_comment."</textarea></p></td>";

        } else {
            if ($current_comment == '') {
                echo "<td><p class=\"small\" align='center'>-</p></td></tr>";    
            } else {
                echo "<td><p class=\"small\">$current_comment</p></td></tr>";    
            }
        }
    }
    $j++;
}
// Affichage des Activits Interdisciplinaires
$call_data = mysql_query("SELECT * FROM aid_config where display_bulletin!='n' ORDER BY order_display2");
$nb_aid = mysql_num_rows($call_data);
$z=0;
while ($z < $nb_aid) {
    $indice_aid = @mysql_result($call_data, $z, "indice_aid");
    $aid_query = mysql_query("SELECT id_aid FROM j_aid_eleves WHERE (login='$current_eleve_login' and indice_aid='$indice_aid')");
    $aid_id = @mysql_result($aid_query, 0, "id_aid");
    if ($aid_id != '') {
        $nom_type_aid = @mysql_result($call_data, $z, "nom");
        $nom_aid = @mysql_result(mysql_query("SELECT nom FROM aid WHERE (id='$aid_id' and indice_aid='$indice_aid')"),0,'nom');
        $aid_prof_resp_query = mysql_query("SELECT id_utilisateur FROM j_aid_utilisateurs WHERE (id_aid='$aid_id' and indice_aid='$indice_aid')");
        $nb_lig = mysql_num_rows($aid_prof_resp_query);
        $n = '0';
        while ($n < $nb_lig) {
            $aid_prof_resp_login = mysql_result($aid_prof_resp_query, $n, "id_utilisateur");
            $aid_prof_query = mysql_query("SELECT nom,prenom FROM utilisateurs WHERE login='$aid_prof_resp_login'");
            $aid_prof_resp_nom[$n] = mysql_result($aid_prof_query, 0, "nom");
            $aid_prof_resp_prenom[$n] = mysql_result($aid_prof_query, 0, "prenom");
            $n++;
        }
        echo "<tr><td><p class='small'><b>$nom_type_aid</b>";
        $n = '0';
        while ($n < $nb_lig) {
            echo "<br /><i>$aid_prof_resp_nom[$n] $aid_prof_resp_prenom[$n]</i>";
            $n++;
        }
        echo "</p></td>";
        echo "<td><p class='small'>&nbsp;</p></td>";
        echo "<td><p class='small'>$nom_aid&nbsp;</p></td></tr>";
    }
    $z++;
}

echo "</table>";
if (($call_ver_info != "O") and ($autoris_modif == 'yes')) {
    echo "</form>";
}
?>
</body>
</html>