<?php
/*
 * Last modification  : 04/04/2005
 *
 * Copyright 2001, 2005 Thomas Belliard, Laurent Delineau, Edouard Hue, Eric Lebrun
 *
 * This file is part of GEPI.
 *
 * GEPI is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * GEPI is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with GEPI; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */
// Global configuration file
require_once("../secure/connect.inc.php");
require_once("../lib/global.inc");
// Database
require_once("../lib/mysql.inc");
// Settings
require_once("../lib/settings.inc");
// Load settings
if (!loadSettings()) {
    die("Erreur chargement settings");
}
// Session related functions
require_once("../lib/session.inc");

// Resume session
$resultat_session = resumeSession();
if ($resultat_session == 'c') {
    header("Location: ../utilisateurs/mon_compte.php?change_mdp=yes");
    die();
} else if ($resultat_session == '0') {
    header("Location: ../logout.php?auto=1");
    die();
};

include "../lib/share.inc.php";
if (!checkAccess()) {
    header("Location: ../logout.php?auto=1");
    die();
}

//On vrifie si le module est activ
if (getSettingValue("active_observatoire")!='y') {
    die("Le module n'est pas activ.");
}

//
// Intitialisation des variables
//

unset($id_classe);
$id_classe = isset($_POST["id_classe"]) ? $_POST["id_classe"] : (isset($_GET["id_classe"]) ? $_GET["id_classe"] : NULL);
unset($obs_periode);
$obs_periode = isset($_POST["obs_periode"]) ? $_POST["obs_periode"] : (isset($_GET["obs_periode"]) ? $_GET["obs_periode"] : NULL);

//
// lecture des informations sur l'observatoire
//
$call_niveaux = mysql_query("SELECT * FROM observatoire_niveaux");
$nb_niveaux = mysql_num_rows($call_niveaux);
$j = 0;
$message_aide = "Aide sur le codage :\\n";
while ($j < $nb_niveaux) {
    $niveau_id = mysql_result($call_niveaux, $j, "id");
    $niveau_nom[$niveau_id] = mysql_result($call_niveaux, $j, "nom");
    $niveau_couleur[$niveau_id] = mysql_result($call_niveaux, $j, "couleur");
    $niveau_comment[$niveau_id] = mysql_result($call_niveaux, $j, "comment");
    $temp1 = str_replace ( "'"  , "\\'"  , $niveau_nom[$niveau_id]);
    $temp2 = str_replace ( "'"  , "\\'"  , $niveau_comment[$niveau_id]);
    $message_aide = $message_aide.$temp1." : ".$temp2."\\n";
    $j++;
}
$message_aide = $message_aide." - : Champ non renseign\\n";
$message_aide = $message_aide." \\\ : L\\'lve ne suit pas la matire\\n";

//
// Initialisation des valeurs du tableau
//
if (!isset($_POST['larg_tab'])) {$_POST['larg_tab'] = 680;}
if (!isset($_POST['bord'])) {$_POST['bord'] = 1;}



    //**************** EN-TETE *****************
   if (!isset($_GET['flag'])) $titre_page = "Observatoire | Visualisation";
    require_once("../lib/header.inc");
    //**************** FIN EN-TETE *****************
if (!isset($_GET['flag'])) {
    echo "<noscript>";
    echo "<p><b>Avertissement : L'aide sur le codage n'est pas disponible car le langage javascript est actuellement dsactiv dans votre navigateur. Pour un confort optimal d'utilisation, nous vous recommandons d'activer javascript.</b></p>";
    echo "</noscript>";
    echo "<p class=bold>";
    echo " |<a href='../accueil.php'>Accueil</a>";
    echo " |<a href='index.php'>Choisir une autre classe</a>|<a href=\"javascript:alert('$message_aide')\">Lgende</a>|<a href='visu_observatoire.php?flag=yes&id_classe=$id_classe&obs_periode=$obs_periode&larg_tab=$_POST[larg_tab]&bord=$_POST[bord]'>Afficher le tableau sans l'en-tte</a>|";
    if ($obs_periode > 1) {
        $_GET['obs_periode_s'] = $obs_periode-1;
        echo " <a href='visu_observatoire.php?id_classe=$id_classe&obs_periode=$_GET[obs_periode_s]'>Priode prcdente</a>|";
    }
    $call_max_periodes_obs = mysql_query("SELECT max(num_periode) max FROM periodes_observatoire WHERE (id_classe='$id_classe')");
    $max_obs_periode = mysql_result($call_max_periodes_obs, 0, "max");
    if ($obs_periode < $max_obs_periode) {
        $_GET['obs_periode_p'] = $obs_periode+1;
        echo " <a href='visu_observatoire.php?id_classe=$id_classe&obs_periode=$_GET[obs_periode_p]'>Priode suivante</a>|";
    }
    echo "</p><form enctype=\"multipart/form-data\" action=\"visu_observatoire.php\" method=post name=formulaire>";
    parametres_tableau($_POST['larg_tab'], $_POST['bord']);
    echo "<input type=hidden name=id_classe value=$id_classe>";
    echo "<input type=hidden name=obs_periode value=$obs_periode>";
    echo "</form>";
}
$classe_nom_complet = mysql_result(mysql_query("SELECT nom_complet FROM classes WHERE id='$id_classe'"),0);
$periode_obs_nom = mysql_result(mysql_query("SELECT nom_periode FROM periodes_observatoire WHERE (id_classe='$id_classe' AND num_periode='$obs_periode')"),0);
$periode_affiliee = mysql_result(mysql_query("SELECT periode_affiliee FROM periodes_observatoire WHERE (id_classe='$id_classe' AND num_periode='$obs_periode')"),0);
echo "<p class='bold'>Classe : $classe_nom_complet | Priode : $periode_obs_nom | Anne scolaire : ".getSettingValue("gepiYear")."</p>";
//
// Test de verrouillage de la priode
//
$call_ver_info = mysql_result(mysql_query("SELECT verouiller FROM periodes_observatoire WHERE (num_periode='$obs_periode' AND id_classe='$id_classe')"),0);
if (!isset($_GET['flag']) and ($call_ver_info == "O")) {
    echo "<P><b>La Priode est close : vous ne pouvez pas effectuer de modifications.</b></p>";
}
//
// Affichage de la premire ligne du tableau
//
$call_champ_query = mysql_query("SELECT * FROM observatoire_config WHERE nom_champ = 'observatoire_champ' order by 'num'");
$nb_champ = mysql_num_rows($call_champ_query) ;

echo "<table border=\"$_POST[bord]\" width=\"$_POST[larg_tab]\" cellspacing=1 cellpadding=1>";
echo "<tr><td><p class=\"small\">Nom Prnom</p></td>";

$n = 0;
while ($n < $nb_champ) {
    $acces = 'no';
    $m=$n+1;
    $champ = mysql_result($call_champ_query, $n, 'content');

    $call_prof_resp = mysql_query("SELECT * FROM observatoire_j_resp_champ WHERE id_champ='$m'");
    $result_test = @mysql_num_rows($call_prof_resp);
    if ($result_test == 0) {
        $call_test_suivi = mysql_query("SELECT c.* FROM classes c, j_eleves_professeurs j, j_eleves_classes cc WHERE (j.professeur='" . $_SESSION['login'] . "' AND j.login = cc.login AND cc.id_classe = c.id and c.id = '$id_classe')");
        $nb_test_suivi = mysql_num_rows($call_test_suivi);
        if ($nb_test_suivi !=0)  {
            $acces = 'yes';
        }
    } else {
        $login_resp = mysql_result($call_prof_resp,0,'login');
        if ($login_resp == $_SESSION['login']) {
            $acces = 'yes';
        }
    }
    $image = "../lib/create_im_mat.php?texte=$champ&width=22";
    if (($acces =='yes')  and ($call_ver_info != "O")) {
        echo "<td><p class=\"small\"><a href='saisie_donnees_suivi.php?id_classe=$id_classe&obs_periode=$obs_periode'><IMG SRC=\"".$image."\" BORDER=1></a></p></td>";
    } else {
        echo "<td><p class=\"small\"><IMG SRC=\"".$image."\" BORDER=0></p></td>";
    }
    $n++;
}
$matiereinfo = mysql_query("SELECT DISTINCT id_matiere FROM j_classes_matieres_professeurs WHERE id_classe='$id_classe' ORDER BY priorite");
$lignes_matieres = mysql_num_rows($matiereinfo);
$i= '0';
while($i < $lignes_matieres){
    $v_matiere[$i] = mysql_result($matiereinfo, $i, "id_matiere");
    $tempo = $_SESSION['login'];
    $test_prof = mysql_query("SELECT * FROM j_classes_matieres_professeurs WHERE ( id_classe='$id_classe' and id_matiere = '$v_matiere[$i]' and id_professeur = '$tempo')");
    $nb_test = mysql_num_rows($test_prof);
    $appel_donnees = mysql_query("SELECT nom_complet FROM matieres where matiere='$v_matiere[$i]' ");
    $nom_complet_matiere = urlencode(mysql_result($appel_donnees,'0', "nom_complet"));
    $image = "../lib/create_im_mat.php?texte=$nom_complet_matiere&height=185&width=22";
    if (($nb_test != 0) and ($call_ver_info != "O")) {
        echo "<td><p class=\"small\"><a href='saisie_donnees.php?id_classe=$id_classe&obs_periode=$obs_periode&var_matiere=$v_matiere[$i]'><IMG SRC=\"".$image."\" WIDTH=\"22\" HEIGHT=\"185\" BORDER=1></a></p></td>";
    } else {
        echo "<td><p class=\"small\"><IMG SRC=\"".$image."\" WIDTH=\"22\" HEIGHT=\"185\" BORDER=0></p></td>";
    }
    $i++;
}
echo "</tr>";

//
// Affichage des lignes lve par lve
//
$appel_donnees_eleves = mysql_query("SELECT DISTINCT e.* FROM eleves e, j_eleves_classes j WHERE (j.id_classe='$id_classe' AND j.login = e.login) ORDER BY nom, prenom");
$nb_lignes_eleves = mysql_num_rows($appel_donnees_eleves);
$j = 0;
while($j < $nb_lignes_eleves) {
    echo "<tr>";
    $current_eleve_login = mysql_result($appel_donnees_eleves, $j, "login");
    $nom_prenom = @mysql_result($appel_donnees_eleves, $j, "nom")." ".@mysql_result($appel_donnees_eleves, $j, "prenom");
    echo "<td><p class=\"small\"><a href='fiche_eleve.php?current_eleve_login=$current_eleve_login&id_classe=$id_classe&obs_periode=$obs_periode'>$nom_prenom</a></p></td>";
    $n = 0;
    while ($n < $nb_champ) {
        $m=$n+1;
        $current_eleve_avis_query= mysql_query("SELECT * FROM observatoire_suivi WHERE (login='$current_eleve_login' AND periode='$obs_periode' and id_champ='$m')");
        $current_eleve_content = @mysql_result($current_eleve_avis_query, 0, "content");
        if (strlen($current_eleve_content) > 20 ) {$current_eleve_content = substr($current_eleve_content, 0, 20)." ...";}
        if ($current_eleve_content != '') {
            echo "<td><p class=\"small\" align='center'>$current_eleve_content</p></td>";
        } else {
            echo "<td><p class=\"small\" align='center'>-</p></td>";
        }
        $n++;
    }
    $i= '0';
    while($i < $lignes_matieres){
        $current_eleve_option_query = mysql_query("SELECT * FROM j_eleves_matieres WHERE (login='$current_eleve_login' AND matiere='$v_matiere[$i]' AND periode='$periode_affiliee')");
        $test = mysql_num_rows($current_eleve_option_query);
        if ($test != "0") {
            echo "<td align='center'><p class=\"small\">/</p></td>";
        } else {
            $eleve_niveau = @mysql_result(mysql_query("SELECT niveau FROM observatoire WHERE (login='$current_eleve_login' AND matiere='$v_matiere[$i]' AND periode='$obs_periode')"),0);
            if ($eleve_niveau != '') {
                echo "<td bgcolor='$niveau_couleur[$eleve_niveau]' align='center'><p class=\"small\"><b>$niveau_nom[$eleve_niveau]</b></p></td>";
            } else {
                echo "<td><p class=\"small\" align='center'>-</p></td>";
            }
        }
        $i++;
    }
    echo "</tr>";
    $j++;
}
echo "</table>";

/*
$col[1][$nb_lignes_tableau] = "Niveau 1";
$col[1][$nb_lignes_tableau+1] = "Niveau 2";
$col[1][$nb_lignes_tableau+2] = "Niveau 3";

for ($k=2;$k<7;$k++) {
    $col[$k][$nb_lignes_tableau] = "-";
    $col[$k][$nb_lignes_tableau+1] = "-";
    $col[$k][$nb_lignes_tableau+2] = "-";
}

$nb_col = 6;
$k= 6;

//    $call_moyenne = mysql_query("SELECT round(avg(n.note),1) moyenne FROM matieres_notes n, j_eleves_classes c WHERE (c.id_classe='$id_classe' AND n.login = c.login AND n.statut ='' AND n.matiere='$var_matiere' AND n.periode='$trim' AND c.periode='$trim')");
//    $call_max = mysql_query("SELECT max(n.note) note_max FROM matieres_notes n, j_eleves_classes c WHERE (c.id_classe='$id_classe' AND c.login = n.login AND n.statut ='' AND n.matiere='$var_matiere' AND n.periode='$trim')");
//    $call_min = mysql_query("SELECT min(n.note) note_min FROM matieres_notes n, j_eleves_classes c WHERE (c.id_classe='$id_classe' AND c.login = n.login AND n.statut ='' AND n.matiere='$var_matiere' AND n.periode='$trim')");
//    $temp = @mysql_result($call_moyenne, 0, "moyenne");
    if ($temp != '') {
        $col[$k][$nb_lignes_tableau] = $temp;
    } else {
        $col[$k][$nb_lignes_tableau] = '-';
    }
//    $temp = @mysql_result($call_min, 0, "note_min");
    if ($temp != '') {
        $col[$k][$nb_lignes_tableau+1] = $temp;
    } else {
        $col[$k][$nb_lignes_tableau+1] = '-';
    }
//    $temp = @mysql_result($call_max, 0, "note_max");
    if ($temp != '') {
        $col[$k][$nb_lignes_tableau+2] = $temp;
    } else {
        $col[$k][$nb_lignes_tableau+2] = '-';
    }
*/
?>
</body>
</html>