<?php
/*
 * Last modification  : 04/04/2005
 *
 * Copyright 2001, 2005 Thomas Belliard, Laurent Delineau, Edouard Hue, Eric Lebrun
 *
 * This file is part of GEPI.
 *
 * GEPI is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * GEPI is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with GEPI; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

// Global configuration file
require_once("../secure/connect.inc.php");
require_once("../lib/global.inc");
// Database
require_once("../lib/mysql.inc");
// Settings
require_once("../lib/settings.inc");
// Load settings
if (!loadSettings()) {
    die("Erreur chargement settings");
}
// Session related functions
require_once("../lib/session.inc");

// Resume session
$resultat_session = resumeSession();
if ($resultat_session == 'c') {
    header("Location: ../utilisateurs/mon_compte.php?change_mdp=yes");
    die();
} else if ($resultat_session == '0') {
    header("Location: ../logout.php?auto=1");
    die();
};

include "../lib/share.inc.php";
if (!checkAccess()) {
    header("Location: ../logout.php?auto=1");
    die();
}

//**************** EN-TETE *****************
$titre_page = "Outil de visualisation";
require_once("../lib/header.inc");
//**************** FIN EN-TETE *****************
?>
<p class='bold'>|<a href='../accueil.php'>Accueil</a>|</p>
<center>
<p>
Vous pouvez choisir ci-dessous diffrents moyens de visualisation :
</p>

<table width=700 border=2 cellspacing=1 bordercolor=#330033 cellpadding=5 >
<tr>
    <td width=200><a href="eleve_classe.php">Elve par rapport  la classe</a></td>
    <td>Permet de comparer les rsultats de l'lve vis  vis des rsultats moyens de la classe, matire par matire, priode par priode.</td>
</tr>
<tr>
    <td width=200><a href="eleve_eleve.php">Elve par rapport  un autre lve</a></td>
    <td>Permet de comparer les rsultats de l'lve vis  vis des rsultats d'un autre lve (quelconque), matire par matire, priode par priode (permet galement de comparer les rsultats de l'anne passe pour un redoublant).</td>
</tr>
<tr>
    <td width=200><a href="evol_eleve.php">Evolution de l'lve sur l'anne</a></td>
    <td>Permet de visualiser l'volution des rsultats d'un lve sur l'anne, matire par matire.</td>
</tr>
<tr>
    <td width=200><a href="evol_eleve_classe.php">Evolution de l'lve et classe sur l'anne</a></td>
    <td>Permet de visualiser l'volution des rsultats d'un lve vis  vis de l'volution de la classe, matire par matire.</td>
</tr>
<tr>
    <td width=200><a href="stats_classe.php">Evolution des moyennes de classes</a></td>
    <td>Permet d'obtenir les diffrentes moyennes de la classe (maxi, mini, moyenne, etc.) matire par matire, avec volution sur l'anne.</td>
</tr>
<tr>
    <td width=200><a href="classe_classe.php">Classe par rapport  autre classe</a></td>
    <td>Permet de comparer les rsultats d'une classe vis  vis d'une autre classe, matire par matire, prode par priode.</td>
</tr>
</table>
</center>
</body>
</html>